GNU bug report logs - #43882
27.1; Gnus sometimes crashes emacs 27.1 during nnir search

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>; dated Fri, 9 Oct 2020 14:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 20 Oct 2020 17:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 13:01:59 2020
Received: from localhost ([127.0.0.1]:46611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUv1K-0002cO-VJ
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 13:01:59 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:55958
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1kUv1I-0002W5-TO
 for 43882 <at> debbugs.gnu.org; Tue, 20 Oct 2020 13:01:57 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 07A97FA0B0;
 Tue, 20 Oct 2020 17:01:49 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1603213310;
 bh=L/w6wwKDRqt7R36WAxIRWJw8u7ERyYsZ4Bome55Bnns=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ZUftc4j1c7wuYIpICJZHwcCl1b2EDJkJkZaT6VX6Z7CeR+X/u8esfpRJ+p/WwL7RP
 rf4rlEiA75fDHIgriWY1Jawx5B3L5918yHg9LbBWR5FXYjKQM0nVUl92f2Xb3lkO9/
 rLzwqC7EaLKBedYHcSq0WtWKd53uUFo4xmZvXNE4=
From: Eric Abrahamsen <eric@HIDDEN>
To: Mikael Svahnberg <mikael.svahnberg@HIDDEN>
Subject: Re: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir
 search
References: <m2pn5rzoxx.fsf@HIDDEN> <m2y2kf4fz5.fsf@HIDDEN>
 <m2d01ngbnr.fsf@HIDDEN> <m2r1q33hh3.fsf@HIDDEN>
 <CAMLRhaASsNLfkUVy5XWQVpd5EiGj325diF9OySsFPuieL8492A@HIDDEN>
 <CAMLRhaAd745PAm=gxw35mGwRsoocL=hcqWy352tL3jxv=pSm0g@HIDDEN>
Date: Tue, 20 Oct 2020 10:01:48 -0700
In-Reply-To: <CAMLRhaAd745PAm=gxw35mGwRsoocL=hcqWy352tL3jxv=pSm0g@HIDDEN>
 (Mikael Svahnberg's message of "Tue, 20 Oct 2020 15:11:00 +0200")
Message-ID: <87blgwg7b7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43882
Cc: 43882 <at> debbugs.gnu.org, Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mikael Svahnberg <mikael.svahnberg@HIDDEN> writes:

> Hi,
>
> Sadly, a further update.
>
> I am now on "GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS
> appkit-1561.61 Version 10.13.6 (Build 17G14033)) of 2020-10-15". This
> crashes for other reasons once every other day (I haven't been able to pin
> it down well enough to send a bugreport yet), but until just now it has
> behaved itself wrt. the NNIR search.
>
> ... Until now, that is. I again did a search, and emacs gobbled up 100% of
> a cpu for 10-odd seconds and then it crashed.
>
> I have gone back to the default 8MB cache size just to force the issue.
>
> What version, settings, or flags should I set up to provide as rich a
> picture as possible?

I think it would be useful to know what kind of search this is: imap?
Local notmuch installation? Also, how "big" of a search is it -- how
many messages are you expecting to be returned?

Other people might have other suggestions...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 20 Oct 2020 13:11:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 09:11:40 2020
Received: from localhost ([127.0.0.1]:43927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUrQS-0006xS-2G
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 09:11:40 -0400
Received: from mail-pf1-f172.google.com ([209.85.210.172]:38852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikael.svahnberg@HIDDEN>) id 1kUrQ5-0006wZ-JX
 for 43882 <at> debbugs.gnu.org; Tue, 20 Oct 2020 09:11:18 -0400
Received: by mail-pf1-f172.google.com with SMTP id 10so1165226pfp.5
 for <43882 <at> debbugs.gnu.org>; Tue, 20 Oct 2020 06:11:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Z3skesn48rW9jxnK1Js1VPqzgPa2gsNqdjl4SRufJQQ=;
 b=dwRv6Zj7Rc08xcpr8Kt2ZkcO1BT56LBglvMyQJZu4JqKgH6hi1Av5VgzHzuBNqVN/R
 uP+8rzD8Dgf03MhNoYev6b8PFkcVbYeeI5JxjZLBU3eNgRqh6AM1HjzzHSLDjSfpMCAH
 9L7ePZdUaKXDiTLKusPmfKmyDVUSX8yne/9eVprRy1Fep2Y7gn8MEV6kSDUiJ7xB1HRn
 Bx5cAHX1hpShOsznh92iWup2W74aHjwmMFyHbIEwjMi97ouwQhNM7topI/YEnn2VVOfy
 RD/guyXcUSY0DMN4zyxgByeT7P0aKanQNqhd8piWZbyfsifFTdONueumIDJZeotMFoya
 6Rqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Z3skesn48rW9jxnK1Js1VPqzgPa2gsNqdjl4SRufJQQ=;
 b=b7WMJpOtxjfM0aPVzQ5GGJdNRvmHSymaeWSdC/jUShA90YfmtjnW+1mXlmzeoDFmnY
 fkl1hO4PvkpqjhddxY4IuXBj9UGbT8Jd238A8ammw0QgGGSbRwNNEoTv9EOn75geTPKS
 wg6ikNfrOM3q8N/IYNSbuO62WqQi42MT8P5Qf8Gj35N+9KnfP3OGm5+T3HUWroqw1oAx
 l4IjA+WrMh+Bm/DAinNY5DAUg/58iZACBBIJJhBx9ILtHMjZJ40p0St2C6W67THN9cuE
 cvV0phYmv3SUbX13Tg31MfW0YFJXirQEJqMG6rol4G3KQAvPg11sPGNdFsM8VLu1DB9u
 yzWQ==
X-Gm-Message-State: AOAM531m+lhI6vMNzqqaIozGVaYKwnZqIWgi3UsLdPT8fsNYdVpdRG2a
 6X9StQ/4YkNiHI+DY2XqLr8PODwzrukrRi/qOr4=
X-Google-Smtp-Source: ABdhPJyCSN6dUwp/+vvNx3TzzxVvPH+gJdn/SkfWEst3G1hY1izz7QGUjfXRe9eZDmbTKDd3j/g/MS2AQoKOj/b8Tik=
X-Received: by 2002:a63:be43:: with SMTP id g3mr2628036pgo.266.1603199471338; 
 Tue, 20 Oct 2020 06:11:11 -0700 (PDT)
MIME-Version: 1.0
References: <m2pn5rzoxx.fsf@HIDDEN> <m2y2kf4fz5.fsf@HIDDEN>
 <m2d01ngbnr.fsf@HIDDEN> <m2r1q33hh3.fsf@HIDDEN>
 <CAMLRhaASsNLfkUVy5XWQVpd5EiGj325diF9OySsFPuieL8492A@HIDDEN>
In-Reply-To: <CAMLRhaASsNLfkUVy5XWQVpd5EiGj325diF9OySsFPuieL8492A@HIDDEN>
From: Mikael Svahnberg <mikael.svahnberg@HIDDEN>
Date: Tue, 20 Oct 2020 15:11:00 +0200
Message-ID: <CAMLRhaAd745PAm=gxw35mGwRsoocL=hcqWy352tL3jxv=pSm0g@HIDDEN>
Subject: Re: bug#43882: 27.1;
 Gnus sometimes crashes emacs 27.1 during nnir search
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000fe459405b219f691"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43882
X-Mailman-Approved-At: Tue, 20 Oct 2020 09:11:38 -0400
Cc: 43882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000fe459405b219f691
Content-Type: text/plain; charset="UTF-8"

Hi,

Sadly, a further update.

I am now on "GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS
appkit-1561.61 Version 10.13.6 (Build 17G14033)) of 2020-10-15". This
crashes for other reasons once every other day (I haven't been able to pin
it down well enough to send a bugreport yet), but until just now it has
behaved itself wrt. the NNIR search.

... Until now, that is. I again did a search, and emacs gobbled up 100% of
a cpu for 10-odd seconds and then it crashed.

I have gone back to the default 8MB cache size just to force the issue.

What version, settings, or flags should I set up to provide as rich a
picture as possible?

/Mikael


On Thu, 15 Oct 2020 at 09:26, Mikael Svahnberg <mikael.svahnberg@HIDDEN>
wrote:

> Hi,
>
> An update: I started emacs with the increased stack on Monday and have
> been working as normal since then except that I've been searching for
> e-mail a bit more often.
>
> Today (Thursday), emacs crashed on me again when I was searching for
> e-mail.
>
> Observations:
>  - A few minutes before it started crashing I got a spinning beach ball
> for a few seconds while composing an e-mail.
>  - The crash took much longer this time. I didn't time it, but maybe in
> the order of 10-15 minutes.
>  - During this time I observed what I could think of through the Activity
> monitor:
>  -- Emacs was consuming 100% CPU (of one CPU).
>  -- It was eating memory at a rate of 5 MB every other second
>  -- "Faults" and "UNIX system Calls" increased at a steady rate, but I
> have no idea where they started from or what is normal behaviour...
>
>
> Now, I am going to reduce the stack size again to force the issue and
> update to HEAD. Let's see if that makes any difference.
>
> /Mikael
>
> On Mon, 12 Oct 2020 at 11:45, Robert Pluim <rpluim@HIDDEN> wrote:
>
>> >>>>> On Mon, 12 Oct 2020 09:12:56 +0200, Mikael Svahnberg <
>> Mikael.Svahnberg@HIDDEN> said:
>>     >> Do things improve if you increase your stack size using 'ulimit
>> -s'?
>>     >> MacOS has what is by modern standards a fairly small default stack.
>>     >>
>>     >> There are a couple of regexp-related fixes in master as well. Could
>>     >> you try that branch?
>>     >>
>>     >> Robert
>>
>>     Mikael> Hi,
>>
>>     Mikael> The stack size was the default 8192 kB. I have --
>> reluctantly, but in
>>     Mikael> the interest of debugging -- set it to 65532 kB via ulimit
>> and then
>>     Mikael> launched emacs from that shell.
>>
>> Why reluctantly? 64M these days is nothing in terms of memory.
>>
>>     Mikael> How can I verify from within Emacs what stack size it is
>> running with?
>>
>> You can't, but since you've launched emacs from that shell it will be
>> ok.
>>
>>     Mikael> I will keep it like this for a couple of days and see if I
>> get more
>>     Mikael> crashes. If I do, I will report and move on and upgrade to
>> HEAD.
>>
>> Thanks
>>
>> Robert
>> --
>>
>

--000000000000fe459405b219f691
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<div><br></div><div>Sadly, a further update.</div><div>=
<br></div><div>I am now on &quot;GNU Emacs 28.0.50 (build 1, x86_64-apple-d=
arwin17.7.0, NS appkit-1561.61 Version 10.13.6 (Build 17G14033)) of 2020-10=
-15&quot;. This crashes for other reasons once every other day (I haven&#39=
;t been able to pin it down well enough to send a bugreport=C2=A0yet), but =
until just now it has behaved itself wrt. the NNIR search.</div><div><br></=
div><div>... Until now, that is. I again did a search, and emacs gobbled up=
 100% of a cpu for 10-odd seconds and then it crashed.</div><div><br></div>=
<div>I have gone back to the default 8MB cache size just to force the issue=
.</div><div><br></div><div>What version, settings, or flags should I set up=
 to provide as rich a picture as possible?</div><div><br></div><div>/Mikael=
</div><div><br></div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" =
class=3D"gmail_attr">On Thu, 15 Oct 2020 at 09:26, Mikael Svahnberg &lt;<a =
href=3D"mailto:mikael.svahnberg@HIDDEN">mikael.svahnberg@HIDDEN</a>&g=
t; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0p=
x 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div d=
ir=3D"ltr">Hi,<div><br></div><div>An update: I started emacs with the incre=
ased stack on Monday and have been working as normal since then except that=
 I&#39;ve been searching for e-mail a bit more often.<div><br></div><div>To=
day (Thursday), emacs crashed on me again when I was searching for e-mail.<=
/div><div><br></div><div>Observations:</div><div>=C2=A0- A few minutes befo=
re it started crashing I got a spinning beach ball for a few seconds while =
composing an e-mail.</div><div>=C2=A0- The crash took much longer this time=
. I didn&#39;t time it, but maybe in the order of 10-15 minutes.</div><div>=
=C2=A0- During this time I observed what I could think of through the Activ=
ity monitor:</div><div>=C2=A0-- Emacs was consuming 100% CPU (of one CPU).<=
/div><div>=C2=A0-- It was eating memory at a rate of 5 MB every other secon=
d</div><div>=C2=A0-- &quot;Faults&quot; and &quot;UNIX system Calls&quot; i=
ncreased at a steady rate, but I have no idea where they started from or wh=
at is normal behaviour...</div><div><br></div><div><br></div><div>Now, I am=
 going to reduce the stack size again to force the issue and update to HEAD=
. Let&#39;s see if that makes any difference.</div></div><div><br></div><di=
v>/Mikael</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Mon, 12 Oct 2020 at 11:45, Robert Pluim &lt;<a href=3D"m=
ailto:rpluim@HIDDEN" target=3D"_blank">rpluim@HIDDEN</a>&gt; wrote:<b=
r></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex=
;border-left:1px solid rgb(204,204,204);padding-left:1ex">&gt;&gt;&gt;&gt;&=
gt; On Mon, 12 Oct 2020 09:12:56 +0200, Mikael Svahnberg &lt;<a href=3D"mai=
lto:Mikael.Svahnberg@HIDDEN" target=3D"_blank">Mikael.Svahnberg@HIDDEN</a>&=
gt; said:<br>
=C2=A0 =C2=A0 &gt;&gt; Do things improve if you increase your stack size us=
ing &#39;ulimit -s&#39;?<br>
=C2=A0 =C2=A0 &gt;&gt; MacOS has what is by modern standards a fairly small=
 default stack.<br>
=C2=A0 =C2=A0 &gt;&gt; <br>
=C2=A0 =C2=A0 &gt;&gt; There are a couple of regexp-related fixes in master=
 as well. Could<br>
=C2=A0 =C2=A0 &gt;&gt; you try that branch?<br>
=C2=A0 =C2=A0 &gt;&gt; <br>
=C2=A0 =C2=A0 &gt;&gt; Robert<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; Hi,<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; The stack size was the default 8192 kB. I have -- =
reluctantly, but in<br>
=C2=A0 =C2=A0 Mikael&gt; the interest of debugging -- set it to 65532 kB vi=
a ulimit and then<br>
=C2=A0 =C2=A0 Mikael&gt; launched emacs from that shell.<br>
<br>
Why reluctantly? 64M these days is nothing in terms of memory.<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; How can I verify from within Emacs what stack size=
 it is running with?<br>
<br>
You can&#39;t, but since you&#39;ve launched emacs from that shell it will =
be<br>
ok.<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; I will keep it like this for a couple of days and =
see if I get more<br>
=C2=A0 =C2=A0 Mikael&gt; crashes. If I do, I will report and move on and up=
grade to HEAD.<br>
<br>
Thanks<br>
<br>
Robert<br>
-- <br>
</blockquote></div>
</blockquote></div>

--000000000000fe459405b219f691--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 15 Oct 2020 07:30:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 03:30:36 2020
Received: from localhost ([127.0.0.1]:54037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSxid-00050B-Uw
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 03:30:36 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:51350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikael.svahnberg@HIDDEN>) id 1kSxfC-0004t1-Fd
 for 43882 <at> debbugs.gnu.org; Thu, 15 Oct 2020 03:27:03 -0400
Received: by mail-pj1-f44.google.com with SMTP id a17so1317566pju.1
 for <43882 <at> debbugs.gnu.org>; Thu, 15 Oct 2020 00:27:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=ZwqHTtu24BzptCHt2cCwdT/Nv19j1QchAmUUP/cMpLE=;
 b=QtrIo0ou6cTVVeMpvvHchI3iBaGj//uOKCm1eK0x9hMRHnAgejTvBhSHWho2VUc4Fb
 Cz16nTsHuKBc6OdJ9fgJXSS7IZx3J0bDqJwpUcrsnLp2qZzlRcCUcBo4kK5DKwy9IXaD
 R03UrsiTmndgz3WmXbb4h64x1oJ80PzYUVismeS4SwhxKlXl+OTBisTwy4wdehwmZPVp
 0wXwBAPEKOJCM6rAExjg4TBq6uKlaXIkvSLf8iyvryyaWPAgLNjcrl7DZc+XWM3LTWdr
 96kw6T5sBGq8ryALmWVc+oqEiNn/Ix+ohYv6KMsM3j+BJqK5RytgRgQeDntMxNpSXiuQ
 CwQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ZwqHTtu24BzptCHt2cCwdT/Nv19j1QchAmUUP/cMpLE=;
 b=QoP2dP8+njvXGGRPabKK/Wr8djLdZSVCc6CSQcUh8IZeTIAhxUh8axiPfeY8b5F/pq
 eTYidHg5SObW05l/e4im0Pv5yK0CCkl4mUk1LlQjEgn28EF3/kzv58qMxW6yS/6LFsoN
 NA3IlSqcZeRtaoeOIINvGu5vXKHzeMTYh3ydeKhcGD+8QKqTbVon3KcaQwW16zdeWONz
 QotXiueRIh9tP7U7nDll/jYyICPeBQJY88KD1oabnpeXAdGdss+toA1oBB18bQBc6zx+
 FTgJJdB5FEvo7B6SSZu5ASSRICgbOi9n5PSHsDoKzne+H0j6+8P5SS3TnZ5YTLfAKePW
 LaGA==
X-Gm-Message-State: AOAM532gPbP5eUuxCiMrUiJGCnkYJj1UsCoMKY4Z1SsoQvUjT8PJxtd6
 MMFsPBZtfR0IB6E1qfUQNmd8/VTMfMjaApoVRAE=
X-Google-Smtp-Source: ABdhPJz9lsibndB5KzrhSt52uYpBRhNelWWJATzMezpENrYDJ7oivcfM1a7SHJf6Pdlaop2GYV2Q2WC/AJGuJtqNWxk=
X-Received: by 2002:a17:902:6b09:b029:d3:ec36:35fc with SMTP id
 o9-20020a1709026b09b02900d3ec3635fcmr3086934plk.4.1602746816345; Thu, 15 Oct
 2020 00:26:56 -0700 (PDT)
MIME-Version: 1.0
References: <m2pn5rzoxx.fsf@HIDDEN> <m2y2kf4fz5.fsf@HIDDEN>
 <m2d01ngbnr.fsf@HIDDEN> <m2r1q33hh3.fsf@HIDDEN>
In-Reply-To: <m2r1q33hh3.fsf@HIDDEN>
From: Mikael Svahnberg <mikael.svahnberg@HIDDEN>
Date: Thu, 15 Oct 2020 09:26:45 +0200
Message-ID: <CAMLRhaASsNLfkUVy5XWQVpd5EiGj325diF9OySsFPuieL8492A@HIDDEN>
Subject: Re: bug#43882: 27.1;
 Gnus sometimes crashes emacs 27.1 during nnir search
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a7394c05b1b092d3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43882
X-Mailman-Approved-At: Thu, 15 Oct 2020 03:30:34 -0400
Cc: 43882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a7394c05b1b092d3
Content-Type: text/plain; charset="UTF-8"

Hi,

An update: I started emacs with the increased stack on Monday and have been
working as normal since then except that I've been searching for e-mail a
bit more often.

Today (Thursday), emacs crashed on me again when I was searching for e-mail.

Observations:
 - A few minutes before it started crashing I got a spinning beach ball for
a few seconds while composing an e-mail.
 - The crash took much longer this time. I didn't time it, but maybe in the
order of 10-15 minutes.
 - During this time I observed what I could think of through the Activity
monitor:
 -- Emacs was consuming 100% CPU (of one CPU).
 -- It was eating memory at a rate of 5 MB every other second
 -- "Faults" and "UNIX system Calls" increased at a steady rate, but I have
no idea where they started from or what is normal behaviour...


Now, I am going to reduce the stack size again to force the issue and
update to HEAD. Let's see if that makes any difference.

/Mikael

On Mon, 12 Oct 2020 at 11:45, Robert Pluim <rpluim@HIDDEN> wrote:

> >>>>> On Mon, 12 Oct 2020 09:12:56 +0200, Mikael Svahnberg <
> Mikael.Svahnberg@HIDDEN> said:
>     >> Do things improve if you increase your stack size using 'ulimit -s'?
>     >> MacOS has what is by modern standards a fairly small default stack.
>     >>
>     >> There are a couple of regexp-related fixes in master as well. Could
>     >> you try that branch?
>     >>
>     >> Robert
>
>     Mikael> Hi,
>
>     Mikael> The stack size was the default 8192 kB. I have -- reluctantly,
> but in
>     Mikael> the interest of debugging -- set it to 65532 kB via ulimit and
> then
>     Mikael> launched emacs from that shell.
>
> Why reluctantly? 64M these days is nothing in terms of memory.
>
>     Mikael> How can I verify from within Emacs what stack size it is
> running with?
>
> You can't, but since you've launched emacs from that shell it will be
> ok.
>
>     Mikael> I will keep it like this for a couple of days and see if I get
> more
>     Mikael> crashes. If I do, I will report and move on and upgrade to
> HEAD.
>
> Thanks
>
> Robert
> --
>

--000000000000a7394c05b1b092d3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<div><br></div><div>An update: I started emacs with the=
 increased stack on Monday and have been working as normal since then excep=
t that I&#39;ve been searching for e-mail a bit more often.<div><br></div><=
div>Today (Thursday), emacs crashed on me again when I was searching for e-=
mail.</div><div><br></div><div>Observations:</div><div>=C2=A0- A few minute=
s before it started crashing I got a spinning beach ball for a few seconds =
while composing an e-mail.</div><div>=C2=A0- The crash took much longer thi=
s time. I didn&#39;t time it, but maybe in the order of 10-15 minutes.</div=
><div>=C2=A0- During this time I observed what I could think of through the=
 Activity monitor:</div><div>=C2=A0-- Emacs was consuming 100% CPU (of one =
CPU).</div><div>=C2=A0-- It was eating memory at a rate of 5 MB every other=
 second</div><div>=C2=A0-- &quot;Faults&quot; and &quot;UNIX system Calls&q=
uot; increased at a steady rate, but I have no idea where they started from=
 or what is normal behaviour...</div><div><br></div><div><br></div><div>Now=
, I am going to reduce the stack size again to force the issue and update t=
o HEAD. Let&#39;s see if that makes any difference.</div></div><div><br></d=
iv><div>/Mikael</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" =
class=3D"gmail_attr">On Mon, 12 Oct 2020 at 11:45, Robert Pluim &lt;<a href=
=3D"mailto:rpluim@HIDDEN">rpluim@HIDDEN</a>&gt; wrote:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex">&gt;&gt;&gt;&gt;&gt; On Mon, 1=
2 Oct 2020 09:12:56 +0200, Mikael Svahnberg &lt;<a href=3D"mailto:Mikael.Sv=
ahnberg@HIDDEN" target=3D"_blank">Mikael.Svahnberg@HIDDEN</a>&gt; said:<br>
=C2=A0 =C2=A0 &gt;&gt; Do things improve if you increase your stack size us=
ing &#39;ulimit -s&#39;?<br>
=C2=A0 =C2=A0 &gt;&gt; MacOS has what is by modern standards a fairly small=
 default stack.<br>
=C2=A0 =C2=A0 &gt;&gt; <br>
=C2=A0 =C2=A0 &gt;&gt; There are a couple of regexp-related fixes in master=
 as well. Could<br>
=C2=A0 =C2=A0 &gt;&gt; you try that branch?<br>
=C2=A0 =C2=A0 &gt;&gt; <br>
=C2=A0 =C2=A0 &gt;&gt; Robert<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; Hi,<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; The stack size was the default 8192 kB. I have -- =
reluctantly, but in<br>
=C2=A0 =C2=A0 Mikael&gt; the interest of debugging -- set it to 65532 kB vi=
a ulimit and then<br>
=C2=A0 =C2=A0 Mikael&gt; launched emacs from that shell.<br>
<br>
Why reluctantly? 64M these days is nothing in terms of memory.<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; How can I verify from within Emacs what stack size=
 it is running with?<br>
<br>
You can&#39;t, but since you&#39;ve launched emacs from that shell it will =
be<br>
ok.<br>
<br>
=C2=A0 =C2=A0 Mikael&gt; I will keep it like this for a couple of days and =
see if I get more<br>
=C2=A0 =C2=A0 Mikael&gt; crashes. If I do, I will report and move on and up=
grade to HEAD.<br>
<br>
Thanks<br>
<br>
Robert<br>
-- <br>
</blockquote></div>

--000000000000a7394c05b1b092d3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 12 Oct 2020 09:45:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 05:45:54 2020
Received: from localhost ([127.0.0.1]:41762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRuOv-0000jd-Nz
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 05:45:53 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:36800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kRuOu-0000jQ-9y
 for 43882 <at> debbugs.gnu.org; Mon, 12 Oct 2020 05:45:52 -0400
Received: by mail-wm1-f51.google.com with SMTP id e2so16909485wme.1
 for <43882 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 02:45:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=TDSqBuNzKfXNtC5xbkk+KcX66+jfE7Ih1mMl9Cj8wT8=;
 b=YKi0rjNMFHDWWRN8gAYsjFxQX+osCWtCaeE7FR1PmWDLhIxic/RsXMYz8tSKfhf+yM
 xSMI+M9JBfug/Dco8fiejv0t6aismV1qN4nX2P1SVa6osGLLwGcsJsovMRmuegq3gqmd
 kG1cbEaS6LHQHdwq+dQxAJxbu4VhQlHpwkW9PZ22J0luLPtrmVqxQopdu3vAKh6W6Uy6
 Thcd0hmdJV1+p5ye5w3gx2xEOEg139ctPz7KVOjYO3s8ok54ENoAbWlz9PoEHf6tw/e5
 ZmJfUvc+Jw6+m8r+c5cs66pHh/FgV/jBoQdWzbl0nGmp/azI8cjXGF9b6LdOOz2AUxR+
 t/ug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=TDSqBuNzKfXNtC5xbkk+KcX66+jfE7Ih1mMl9Cj8wT8=;
 b=YEjCLjCbHHFQoDyWEjpSGAhnJrvh+8Fp6Lch/gWknqNUmE0DjgOKcx0Tv0+3MOnvQg
 kT8jRVgSQaK7oGLCjB6kHfCH6eXssqfojDtmUsyDSzbcAEhuKmmM5f8WUDEtjnR2w2LP
 08iubHY9W4M5PxmFHelcBTQmOFqP+r9Q/szVBesddcczm0H8BpVduzrL6ZmewggqbLWN
 GkLyTubKXGPDEokuothrBriSizG7IXdUDzIVahVwKWXLKvUjFn2La5L2Uw9jQ0JhwzoB
 tCAk0NicPxwT/UKuTnsu6ZG0U10uE41Z8f58a3O7+Fe+8bVnk+JsHHaGtEkqJ2OIzYaY
 cf1w==
X-Gm-Message-State: AOAM532hUbmVIRb2sm6na/pj1HDu4a77+YmH57ucxlltxSE99pebdGek
 VPh6KcQur5nzgJcfO8/fy32ppwMx48I=
X-Google-Smtp-Source: ABdhPJx+dTsXgOvD/fRQTdLu3r3VXrQcA25WG3Q0cAUwf5cyg0FRaR8VnMhkYt8nF/PQeghkKZgt5g==
X-Received: by 2002:a1c:dfd4:: with SMTP id w203mr9968266wmg.178.1602495946062; 
 Mon, 12 Oct 2020 02:45:46 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:2989:6e8d:76df:f4ec])
 by smtp.gmail.com with ESMTPSA id o14sm23398386wmc.36.2020.10.12.02.45.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 12 Oct 2020 02:45:45 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>
Subject: Re: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir
 search
References: <m2pn5rzoxx.fsf@HIDDEN> <m2y2kf4fz5.fsf@HIDDEN>
 <m2d01ngbnr.fsf@HIDDEN>
Date: Mon, 12 Oct 2020 11:45:44 +0200
In-Reply-To: <m2d01ngbnr.fsf@HIDDEN> (Mikael Svahnberg's message of "Mon, 12
 Oct 2020 09:12:56 +0200")
Message-ID: <m2r1q33hh3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43882
Cc: 43882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 12 Oct 2020 09:12:56 +0200, Mikael Svahnberg <Mikael.Svahnberg@HIDDEN> said:
    >> Do things improve if you increase your stack size using 'ulimit -s'?
    >> MacOS has what is by modern standards a fairly small default stack.
    >> 
    >> There are a couple of regexp-related fixes in master as well. Could
    >> you try that branch?
    >> 
    >> Robert

    Mikael> Hi,

    Mikael> The stack size was the default 8192 kB. I have -- reluctantly, but in
    Mikael> the interest of debugging -- set it to 65532 kB via ulimit and then
    Mikael> launched emacs from that shell.

Why reluctantly? 64M these days is nothing in terms of memory.

    Mikael> How can I verify from within Emacs what stack size it is running with?

You can't, but since you've launched emacs from that shell it will be
ok.

    Mikael> I will keep it like this for a couple of days and see if I get more
    Mikael> crashes. If I do, I will report and move on and upgrade to HEAD.

Thanks

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 12 Oct 2020 07:30:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 03:30:53 2020
Received: from localhost ([127.0.0.1]:41580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRsIH-0005de-1u
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 03:30:53 -0400
Received: from mail-db8eur05on2078.outbound.protection.outlook.com
 ([40.107.20.78]:9508 helo=EUR05-DB8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikael.svahnberg@HIDDEN>) id 1kRs15-00059l-5W
 for 43882 <at> debbugs.gnu.org; Mon, 12 Oct 2020 03:13:08 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IWEk1AEdQLXb9YDf8TtYLrBMBB8mU7DaHkE2hWgqYMDgB+PNeAaRvClRqLKOmD3Intfwo1pR6yYcYYuaQzlF+V7jvjiUZYQvx31fvLdF2rMgByfcXH2D/XxBYFPARSpx9n4UFemBZRZgDh+/9B+y63VBURYofIb8NBmbvhm4iLu9DdqQa8C2qXQXj6PiY1AtG/RrMWny8/YyLa7wWl1v/XeJ7lRO5h2aznCI5ryha7jjUdSn9iIZzTOlvW1J7K60ErVbykV6tXNWSaF2PhrVicp55BkIc1ZAtkDwku/qEkjBb+wHRJEjAx6Y60cqMapVpJh60E9vWNb4pzx0co++lA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=HxOTHWyr465Zti4YZe2uj2E0ols1icktxCvLwvkXBTU=;
 b=ja9Xp5xh/i8+wbyWCkxwb60YuC9afTgcF054Tu7N4OdcZxTo4CF5LyXCcDppxrfbzdg8QJ9ct11aPMqDvN3xTp61avTOK3L4vXjAaX0r7PaY43Bzji6YDtpgTV2+fpIKL9v9huwqSTPryWQQRmSfOibW1dpEJTkgv4eXQu6JUwZja3WgrpQi0Nkvld7wWSZUg796J8lBYlpLxiwRfxn6D5Z27LNuElsKx4HFdJZW+GduP30Ad0zq+y2/70PnGwAgec4c6PVKkkNcUkdyRBNCa/cA+ETjG7FdklVffx8PqoKEgkPkv/pRQDOxcn7u3Xk5lWLZ5EW7IaZT5PwJAQErQQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=bth.se; dmarc=pass action=none header.from=bth.se; dkim=pass
 header.d=bth.se; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bth.se; s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=HxOTHWyr465Zti4YZe2uj2E0ols1icktxCvLwvkXBTU=;
 b=L8cUTirDLigfBo9HYmY5JW8QVmnAG1H0y/w+qPsA8bk0MtCLHeVXfsHtVPx3/kfbtwsGGrDfnTzmC97pFeQyHqj9wGBLYlzeAxyY4EhvmmnbHi/ge+B/8DdEQ7BjPhZ+iwdGyUI8gw+xDfqknBBZ9QeMZEf1ASI0WdoHplGOaJM=
Authentication-Results: debbugs.gnu.org; dkim=none (message not signed)
 header.d=none;debbugs.gnu.org; dmarc=none action=none header.from=bth.se;
Received: from DB8PR09MB3401.eurprd09.prod.outlook.com (2603:10a6:10:108::13)
 by DB6PR0901MB1640.eurprd09.prod.outlook.com (2603:10a6:4:6f::21)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3455.21; Mon, 12 Oct
 2020 07:12:58 +0000
Received: from DB8PR09MB3401.eurprd09.prod.outlook.com
 ([fe80::1502:4e3e:8634:a391]) by DB8PR09MB3401.eurprd09.prod.outlook.com
 ([fe80::1502:4e3e:8634:a391%5]) with mapi id 15.20.3455.029; Mon, 12 Oct 2020
 07:12:58 +0000
From: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir
 search
References: <m2pn5rzoxx.fsf@HIDDEN> <m2y2kf4fz5.fsf@HIDDEN>
X-Face: 3DBp,9zHs<!%a3D/Oi'V$3RZG=.dX&Mjsnq_:s*T0D$J$%ft>EaLV\D.;
 I4$l1=y^Z@N1%C{ylE[~)dRXI
Date: Mon, 12 Oct 2020 09:12:56 +0200
In-Reply-To: <m2y2kf4fz5.fsf@HIDDEN> (Robert Pluim's message of "Fri, 09
 Oct 2020 16:43:42 +0200")
Message-ID: <m2d01ngbnr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Content-Type: text/plain
X-Originating-IP: [81.234.228.191]
X-ClientProxiedBy: AM7PR03CA0023.eurprd03.prod.outlook.com
 (2603:10a6:20b:130::33) To DB8PR09MB3401.eurprd09.prod.outlook.com
 (2603:10a6:10:108::13)
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from msv-mac.local (81.234.228.191) by
 AM7PR03CA0023.eurprd03.prod.outlook.com (2603:10a6:20b:130::33) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3455.22 via Frontend
 Transport; Mon, 12 Oct 2020 07:12:57 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 0c870cc6-4317-4ead-023f-08d86e7e3f54
X-MS-TrafficTypeDiagnostic: DB6PR0901MB1640:
X-Microsoft-Antispam-PRVS: <DB6PR0901MB16407B9999CF83C3A8FAE068E5070@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:9508;
X-MS-Exchange-SenderADCheck: 1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Nqtmmm42bd1vd1N/TY33fKwo1beRjiw7Dvn2eYrZMsfQIxZi1cpxTW5QmldVcQz4GQGWaWTJeZdRszXxOVxk9eDTJJmaPXyJPEbOndAVl2I8/nIDlRzfxjk202lzHvEzRidHSHODNjSegL8hlveBWgV5DmMXbrODSEx01EMrAkN/zRZerqekqI2CvpE0pw+hwOG/EFP2ZpQAiE/sGHwIwkqi4ImDNwc36IxLMsg9T6vyLq5kRlBtBJk/V2hA8PywsJyX6mVvXwqOH6Nc9fmnIQNHis2DrgopXEs3MvAcbx+wYclPF5aqDYI1BchUNRYN7Ejm6UU+YMgPEIpd/Uoh4g==
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DB8PR09MB3401.eurprd09.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(4636009)(39850400004)(346002)(376002)(396003)(366004)(136003)(83380400001)(6486002)(6512007)(66556008)(66476007)(66946007)(86362001)(956004)(2616005)(52116002)(186003)(16526019)(26005)(6506007)(478600001)(8936002)(786003)(316002)(4326008)(5660300002)(6916009)(2906002)(36756003)(8676002);
 DIR:OUT; SFP:1101; 
X-MS-Exchange-AntiSpam-MessageData: Db4MmtHcY72Yf0p2eUBEKEvZdwMWq/Plok4rAthsqBy91RGR5YscqszjqF7obyDvznlClPRQ/aOaxt8OLw2mPZ0wZOcyRETpcb4KM1mOfG6dwEhx3/ceAdHHi1v8ec6CzyM3Ox/o4GqFNDmCa/79bQKVQxwktzzR7b3FSKtfzI1J3X0/RrlijOadhMzgkMGiNu1PTCr3ZbkITnsfW+mC351pP5SqmBsowapBKntzdYbroiSMWvpSojlN2LgZcEU73pLCbgSgL2Dy/TOk7NVr7dwhFba4t2sUccBysGnO4D7yxLwdeqwoHpHtTTiIf6O2jMUsUBQesh0bf3RcOqngfUliQP8oKtjjVkNTkLzy0/RGRd8VpHOx3R1Bnv0+n++W3oOJPL4FDa90hyjmH0voxgR/emWErYTBmi39tkxH+k8dpQ31pE5dIRjLXsI2Q4ZuDx6ibbYrpLmgpUy9ZugrKFlkI1xcsFnOJ8Oh1PYHmiDzlmpc619YSbIyPDQXj76AYVWFWK5L3ryETj+f42QKaFKwB9ODp37DFh19L54fIo9GHfWjDK8Rvsp9I0iB0vp465UFUbnAwQcz1zy0yD2kGRkhu0T6+x5IvCT+FXfU+zG3n7ua1Tf6b8ojAkGa34Fdv+Cx8OKewKQdQskyAphKQg==
X-OriginatorOrg: bth.se
X-MS-Exchange-CrossTenant-Network-Message-Id: 0c870cc6-4317-4ead-023f-08d86e7e3f54
X-MS-Exchange-CrossTenant-AuthSource: DB8PR09MB3401.eurprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 12 Oct 2020 07:12:58.5537 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 885b11db-fb41-4d7a-85b0-39967c789c5a
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: 6Se+O26TvpAwfhJgkRFegqewcb2d75EJaXOoS98VfCT1C0QqxISzUZdcDGw9Fnsv
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB6PR0901MB1640
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43882
X-Mailman-Approved-At: Mon, 12 Oct 2020 03:30:52 -0400
Cc: 43882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Robert Pluim <2020-10-09 16:43> wrote:
>>>>>> On Fri, 09 Oct 2020 12:14:18 +0200, Mikael Svahnberg <Mikael.Svahnberg@HIDDEN> said:
>
>     Mikael> I upgraded to emacs 27.1 yesterday and so far it has crashed twice on me
>     Mikael> when I search for emails in Gnus. I use the following function to
>     Mikael> perform the search (there are probably better ways, but this has worked
>     Mikael> for me the past eight years):
>
>     Mikael> --------------------
>     Mikael>       ;; Search mail from everywhere
>     Mikael>       (defun msv-search-mail ()
>     Mikael>         (interactive)
>     Mikael>         (with-current-buffer "*Group*"
>     Mikael>           (save-excursion
>     Mikael>             (beginning-of-buffer)
>     Mikael>             (search-forward "All Mail")
>     Mikael>             (call-interactively (gnus-group-make-nnir-group nil)))))
>
>     Mikael>       ;; <2017-08-15 Tue>
>     Mikael>       ;; Try a better search input
>     Mikael>       (use-package gnus-x-gm-raw :ensure t)
>     Mikael> --------------------
>
>     Mikael> What happens is that emacs freezes and (I happened to have =top=
>     Mikael> running in a terminal nearby) consumes 100% CPU for 5-10 seconds, before
>     Mikael> crashing.
>
>     Mikael> I have done more mail searches, and it does not crash every time I
>     Mikael> search. The first thing I do after restarting is to perform the exact
>     Mikael> same search, which has worked. Intermittent bugs, yay!
>
> Do things improve if you increase your stack size using 'ulimit -s'?
> MacOS has what is by modern standards a fairly small default stack.
>
> There are a couple of regexp-related fixes in master as well. Could
> you try that branch?
>
> Robert

Hi,

The stack size was the default 8192 kB. I have -- reluctantly, but in
the interest of debugging -- set it to 65532 kB via ulimit and then
launched emacs from that shell.

How can I verify from within Emacs what stack size it is running with?

I will keep it like this for a couple of days and see if I get more
crashes. If I do, I will report and move on and upgrade to HEAD.

/Mikael




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 9 Oct 2020 14:43:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 09 10:43:56 2020
Received: from localhost ([127.0.0.1]:35996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQtce-0006R7-Tg
	for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 10:43:56 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:36826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1kQtcc-0006Qs-03
 for 43882 <at> debbugs.gnu.org; Fri, 09 Oct 2020 10:43:52 -0400
Received: by mail-wr1-f43.google.com with SMTP id x7so1975327wrl.3
 for <43882 <at> debbugs.gnu.org>; Fri, 09 Oct 2020 07:43:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=YUVeDQFS0j/Y7soIhOUOcJS3E4lIMwJmIET8RHhVP18=;
 b=Szs61K7wQdV9a2JqvJf/df5icjpZSaZV9GDRXNy/fpEEmK2gLBB0FYUUJIQR/htUhq
 lraP1uwOIvkNH3cUX+kFnMW9D/WZZX76iXJQCyW3OgDDDZHRQHrmnCr2YzVMH1OrJbgD
 lMULtatY/DcaGQlR/iNWQ3NrgE1ZE4pW0x5bPES1uPyLaUP6idEq7S+mp1BAVlZSzsBt
 k4ii+2Ntc2IJrFtslaIwEXHM7qQQt7XRzHPX0m3c+WIyCYqzrZ7MqgDT1WLGFU4pXCDT
 xmOB6GodK/yzP+KUlYE3HQ+vBqg6HV0xH4qjLVeWpIwJ4k7JgIz/wTG6PhmJknv/dCiB
 VUrw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=YUVeDQFS0j/Y7soIhOUOcJS3E4lIMwJmIET8RHhVP18=;
 b=LYOi51c1FZXDT+VnkH8FO+vrKctAyfk6uER499oBpwFycfUV00VuuU5I6a18ptmE5y
 OLBUq1Bv6PXvfjvpV1Oft1NDV2Cn0XBjhbe3xmFQKM5ysklntePqkiB1JtsgUvTglroQ
 912bxGaLc9J1VhfT1DsIKrh1qKTi6DJobQU77yXWdR93BUAIUwbia2abkfBZcGNQZnO4
 F4L5+PW+BvAOVgzjwwLfhFjFXC6k0QK4boQyUCSoERNUzxfmCNc7iC+Ru0P25f7oyNcE
 TSQxLCrJKjwFyT5ksFGOX8eUlrtGf3bZkFpLInLpz6EYC9LOibQ3SIBvtDinuUNYiCUC
 CPtA==
X-Gm-Message-State: AOAM530ln0SlBrGBZnHIKt+MBUmQn1KlQPCDhqFaxYYONtBmbJzrl7dc
 QFbuanI3Fr/TtGe8WBRANBMKxE+tKOoV1A==
X-Google-Smtp-Source: ABdhPJzMrLfIMohTnAllBtRo5cB970lMUCGEuAogLMfkUmNYUV/FbsUAfHHGetSiaM/gpWt0FSbcRQ==
X-Received: by 2002:a5d:630a:: with SMTP id i10mr14936359wru.137.1602254623528; 
 Fri, 09 Oct 2020 07:43:43 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:1477:c2e8:1d2f:3b0e])
 by smtp.gmail.com with ESMTPSA id h4sm12259981wrv.11.2020.10.09.07.43.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 09 Oct 2020 07:43:42 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>
Subject: Re: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir
 search
References: <m2pn5rzoxx.fsf@HIDDEN>
Date: Fri, 09 Oct 2020 16:43:42 +0200
In-Reply-To: <m2pn5rzoxx.fsf@HIDDEN> (Mikael Svahnberg's message of "Fri, 09
 Oct 2020 12:14:18 +0200")
Message-ID: <m2y2kf4fz5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43882
Cc: 43882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 09 Oct 2020 12:14:18 +0200, Mikael Svahnberg <Mikael.Svahnberg@HIDDEN> said:

    Mikael> I upgraded to emacs 27.1 yesterday and so far it has crashed twice on me
    Mikael> when I search for emails in Gnus. I use the following function to
    Mikael> perform the search (there are probably better ways, but this has worked
    Mikael> for me the past eight years):

    Mikael> --------------------
    Mikael>       ;; Search mail from everywhere
    Mikael>       (defun msv-search-mail ()
    Mikael>         (interactive)
    Mikael>         (with-current-buffer "*Group*"
    Mikael>           (save-excursion
    Mikael>             (beginning-of-buffer)
    Mikael>             (search-forward "All Mail")
    Mikael>             (call-interactively (gnus-group-make-nnir-group nil)))))

    Mikael>       ;; <2017-08-15 Tue>
    Mikael>       ;; Try a better search input
    Mikael>       (use-package gnus-x-gm-raw :ensure t)
    Mikael> --------------------

    Mikael> What happens is that emacs freezes and (I happened to have =top=
    Mikael> running in a terminal nearby) consumes 100% CPU for 5-10 seconds, before
    Mikael> crashing.

    Mikael> I have done more mail searches, and it does not crash every time I
    Mikael> search. The first thing I do after restarting is to perform the exact
    Mikael> same search, which has worked. Intermittent bugs, yay!

Do things improve if you increase your stack size using 'ulimit -s'?
MacOS has what is by modern standards a fairly small default stack.

There are a couple of regexp-related fixes in master as well. Could
you try that branch?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at 43882 <at> debbugs.gnu.org:


Received: (at 43882) by debbugs.gnu.org; 9 Oct 2020 14:35:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 09 10:35:52 2020
Received: from localhost ([127.0.0.1]:35990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQtUu-0006Em-06
	for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 10:35:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kQtUr-0006EY-Q5
 for 43882 <at> debbugs.gnu.org; Fri, 09 Oct 2020 10:35:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44347)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kQtUm-0007W0-0w; Fri, 09 Oct 2020 10:35:44 -0400
Received: from [176.228.60.248] (port=2070 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kQtUi-0001bN-Ow; Fri, 09 Oct 2020 10:35:43 -0400
Date: Fri, 09 Oct 2020 17:35:40 +0300
Message-Id: <83v9fj5uwz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>
In-Reply-To: <m2pn5rzoxx.fsf@HIDDEN> (message from Mikael Svahnberg on Fri, 09
 Oct 2020 12:14:18 +0200)
Subject: Re: bug#43882: 27.1;
 Gnus sometimes crashes emacs 27.1 during nnir search
References: <m2pn5rzoxx.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43882
Cc: 43882 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>
> Date: Fri, 09 Oct 2020 12:14:18 +0200
> 
> 
> I upgraded to emacs 27.1 yesterday and so far it has crashed twice on me
> when I search for emails in Gnus. I use the following function to
> perform the search (there are probably better ways, but this has worked
> for me the past eight years):
> 
> --------------------
>       ;; Search mail from everywhere
>       (defun msv-search-mail ()
>         (interactive)
>         (with-current-buffer "*Group*"
>           (save-excursion
>             (beginning-of-buffer)
>             (search-forward "All Mail")
>             (call-interactively (gnus-group-make-nnir-group nil)))))
> 
>       ;; <2017-08-15 Tue>
>       ;; Try a better search input
>       (use-package gnus-x-gm-raw :ensure t)
> --------------------
> 
> What happens is that emacs freezes and (I happened to have =top=
> running in a terminal nearby) consumes 100% CPU for 5-10 seconds, before
> crashing.

Looks like stack overflow during GC?  What is the maximum size of the
stack of the running Emacs process?  Can you try enlarging it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Oct 2020 14:26:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 09 10:26:48 2020
Received: from localhost ([127.0.0.1]:35900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQtM8-0005w0-MM
	for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 10:26:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:55990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikael.svahnberg@HIDDEN>) id 1kQpee-00068f-BO
 for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 06:29:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45302)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mikael.svahnberg@HIDDEN>)
 id 1kQpeZ-00070T-Ko
 for bug-gnu-emacs@HIDDEN; Fri, 09 Oct 2020 06:29:36 -0400
Received: from mail-ve1eur02hn2242.outbound.protection.outlook.com
 ([52.100.10.242]:29651 helo=EUR02-VE1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mikael.svahnberg@HIDDEN>)
 id 1kQpeU-00030J-BJ
 for bug-gnu-emacs@HIDDEN; Fri, 09 Oct 2020 06:29:35 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=DDyNC+cCr2cvZ6KFxyvy6vDpwAspBrVb+rvHi65MJgfXR7hcL4LgEBHE1il8PjnE2LI5TrZ0TXzL9h7MCAEtehUfY8bqYSpOTRqjB5XLAPKKiPgOt3RZ8Kda2jpQVApXXGR1C56Kku2K7ga16jQUdRZohWjI2WBPzGEcf/FC51V5VxMP8xK+aPCu4DmDyDFXGUNo95mVf85M/syNnT8lqwJHhhViRyXPoodc8SokOp+/KCV32DRX6hyOP2gJiLK0c2x7UemVE1qx0xWeE8JSa8orHHNqHbbCj4akkNOunK9AekDaKRVkrd2P7yjgXXzddrfZ4gReLFdItVVHLkdRmg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Ly04BLCYOauVvmOiZFchgtH6aga+fotourlMiJ+m2fQ=;
 b=Atg6vIrQIyXuMQ9LRiNklpDpg5Rxd3JDmYp1Q5krNe/cXBcKDrjhhlzsnjSU/8mnAxLHTYkfck4K3TGBZ+Xe6pOjUrDLCIpl0yUEGOyxkZ2lfmuUDkCTZGcgCYv4FO/YRR6YK1udScjZ9v/O9xBrTfGi1aWf43AnVEcC2PSBYf1g8Z3o5AzGwynF2iR7bzOTs6A95VQBPRkix+pCOEbbZ2SXl5JjO8v3w68pWgahRzKLTVnUYKH57+g4Lwod+Bh5UxK4ON/f9AcvJhV1OL7oxnljYIeT7P2Zy/Hqai6h+xazM5FDhSh6KBTc9hwhA7gDJswMKWRB7DJXOVVQEjw6EA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=bth.se; dmarc=pass action=none header.from=bth.se; dkim=pass
 header.d=bth.se; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=bth.se; s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Ly04BLCYOauVvmOiZFchgtH6aga+fotourlMiJ+m2fQ=;
 b=cW7GYEoKdycr7ahofRoUEzG8rjVwTSHXRabcsARAZntJToMwVpx9TvFQMLaDkLSbAdta4k0RRcE5tOeIlIsg0UKg4fc4w0OCZm302Qc4WfIFyGdXrhSzquBgo/MhdgEhC/JYv9hpQ/Th2RsRHyRxkKRlq7po395TmDkzwD8j7Cc=
Authentication-Results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=bth.se;
Received: from DB8PR09MB3401.eurprd09.prod.outlook.com (2603:10a6:10:108::13)
 by DB8PR09MB3657.eurprd09.prod.outlook.com (2603:10a6:10:117::16)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3455.22; Fri, 9 Oct
 2020 10:14:22 +0000
Received: from DB8PR09MB3401.eurprd09.prod.outlook.com
 ([fe80::1502:4e3e:8634:a391]) by DB8PR09MB3401.eurprd09.prod.outlook.com
 ([fe80::1502:4e3e:8634:a391%5]) with mapi id 15.20.3455.023; Fri, 9 Oct 2020
 10:14:22 +0000
From: Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; Gnus sometimes crashes emacs 27.1 during nnir search
X-Face: 3DBp,9zHs<!%a3D/Oi'V$3RZG=.dX&Mjsnq_:s*T0D$J$%ft>EaLV\D.;
 I4$l1=y^Z@N1%C{ylE[~)dRXI
Date: Fri, 09 Oct 2020 12:14:18 +0200
Message-ID: <m2pn5rzoxx.fsf@HIDDEN>
Content-Type: text/plain
X-Originating-IP: [81.234.228.191]
X-ClientProxiedBy: AM5PR04CA0008.eurprd04.prod.outlook.com
 (2603:10a6:206:1::21) To DB8PR09MB3401.eurprd09.prod.outlook.com
 (2603:10a6:10:108::13)
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from msv-mac.local (81.234.228.191) by
 AM5PR04CA0008.eurprd04.prod.outlook.com (2603:10a6:206:1::21) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3455.21 via Frontend Transport; Fri, 9 Oct 2020 10:14:19 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 46058bb2-ba9c-4777-7e1f-08d86c3c161c
X-MS-TrafficTypeDiagnostic: DB8PR09MB3657:
X-Microsoft-Antispam-PRVS: <DB8PR09MB3657F55A69ADF53BEB79F6FAE5080@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:6430;
X-MS-Exchange-SenderADCheck: 1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: =?us-ascii?Q?ZhMqG+xKFoucRZZX124TZIuuWjovuX5xPiZLC5ALSuGJHzhTYgUI8VhcC+HO?=
 =?us-ascii?Q?lz2asR1la0cVJ9FgvjuNuyeMcW2bFR4+X7WA6J6Z+k6cCxcczYChAkWeETTY?=
 =?us-ascii?Q?3Hj+pOL1zFjV9CxB21+BK4Oq+3j1i7ph5FxvYO7HY7PPUVvNhZCKm0HXDT4R?=
 =?us-ascii?Q?2BQJbKnzyjjEsXc5n6ft9nhMgV6vjVe/a0SXJoces8n3N3dfyZ9CmYJc1tIP?=
 =?us-ascii?Q?ap3B9DuCyzNWVyVyxHDsZuDJwfoW0jd+GzEnbY2nXZk14rJpSVRK6iQ//976?=
 =?us-ascii?Q?VnecFlMXZTM1jnLfud/fuc6OS6Uo6G32mYP9/43VuMbVZrRq6BHOJiwf1MxA?=
 =?us-ascii?Q?E9NBr9UEAvlaKkx6CwLBoYreJADWiwjsKTkemI423F6YkMTdeqiyX5jGeCZf?=
 =?us-ascii?Q?sXVuI4YdS3queUP1l8z6HFIbsSkdf8jdSnm0aVJN0wft9Agr9ZeHOkbpWQ3L?=
 =?us-ascii?Q?Lex0m6XLdtM7oB4oh7Xt1grauzXDSoE9M6gRcpBFVAX3/G5eBkKRViHJgB7x?=
 =?us-ascii?Q?MdC2k4cWwPaz4my4S73KRnhQdd1zGD0CyS9miYdIeRt8I0IqIowBxcRgJogb?=
 =?us-ascii?Q?n2FCItksEyQlELXlan1vdZiFpCwICVw6Y4hvJAuW7VgnpNUA4dfJPh0CuN25?=
 =?us-ascii?Q?dDEYBFVKiO9NpJi9RPIlUZmkqrLOuhodpqTcGTuMm11K9FWoA8bRj/Blu3S1?=
 =?us-ascii?Q?74C+ef4Afycag/idtAcufA0+wGHBTSiU0Z699AiT3TVIgPXd2KiKnprucik3?=
 =?us-ascii?Q?HB77DEYew0JHtXFQRZnOAwlOR+3CybtH3s0YF22vzzl2u+bywyvtkRbeyOYZ?=
 =?us-ascii?Q?uTUq2A2ZP6xOAbmoaf5Bu5LS2blUrNT39hGKHqXfV8YY6vjPSXW/8MFe9crN?=
 =?us-ascii?Q?sV/S1Ds8AYXDHa5ow1otGwBDvsiDtVp8UYwk74+jAVe2cmkwwL9cZvST1PYI?=
 =?us-ascii?Q?9Tpqdru0DOZFeo40kZcndn8qAfFbHxpSRBFNwx3bxnKaWjuh3robiAXyhofF?=
 =?us-ascii?Q?Vjx1azHzTIDWiGrOfRq0gjvL6g=3D=3D?=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:9; SRV:;
 IPV:NLI; SFV:SPM; H:DB8PR09MB3401.eurprd09.prod.outlook.com; PTR:; CAT:OSPM;
 SFS:(4636009)(39850400004)(366004)(396003)(346002)(136003)(376002)(786003)(5660300002)(6506007)(26005)(30864003)(316002)(16526019)(52116002)(186003)(8936002)(83380400001)(2906002)(86362001)(6916009)(6512007)(478600001)(2616005)(6486002)(956004)(8676002)(19627235002)(36756003)(66476007)(66556008)(66946007)(472174002);
 DIR:OUT; SFP:1501; 
X-MS-Exchange-AntiSpam-MessageData: /wR3uJmXEzr3pbSQWBDU3QbNuTGNOZeuQMeUGZ2czLQck7kFpzC/iIl/gTTYJXRJTuRuJqTkrPoTUTKbT6GYTygvuX+7H3uiaKqcui3HXcRlhY7pBsVemL+C7BFM6prLGnXwpGAt/vA/isIo7pQ8NAIKAkyZhER7TQihuuoPyJ0GvAfzNz4iZv/Bwwcj3oHCm+/UTcqI15axBr0DWz9nBnQg+WbWwz/eJZf2JROufm042SbP4ilG9ZrtIzp2tNbdI7Hut9mrEPARsI5ksiITB3814UwhKFr9zv01uZ4De1eRFKXblWaT5zo5FaOQi/CVMolbfDg34TA+r3RBlafvyDnQszz3VaZrJwwgKwz1qfIhhVdir+lVpu0FVF8XrPOxphQ78mjQlWXFNhHYSoMjIuDi5n/WqmTjJTBE9LEW0L4dxA15mUNk/7Peai7R7MSFwvTiHmH6/gwYBDxslyUWdxkdwX+VKAlSx70EpTwidwDGVqkouS7tmj7bAQuBrSQ0av2LORexhUWg/lgusney4VisOr5L0wsTeJ0XiQFcgfRXsvK5Xvk4JFCasDq/1M5wYlyhuoR0Ph5poX9bxuMCG+NuhOh+GlDq0/Wsy+kpig6It3n3kdzuKmXzAk857y06ylyQ6Kgfej/t+SZrnCaIWQ==
X-OriginatorOrg: bth.se
X-MS-Exchange-CrossTenant-Network-Message-Id: 46058bb2-ba9c-4777-7e1f-08d86c3c161c
X-MS-Exchange-CrossTenant-AuthSource: DB8PR09MB3401.eurprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 09 Oct 2020 10:14:22.5462 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 885b11db-fb41-4d7a-85b0-39967c789c5a
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: xVE/j95ULxAORUPSfnjhHzwQZdh8koMKqZNcbO5R98kUg4tFo3H31NHZ94VLH/Ql
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8PR09MB3657
Received-SPF: pass client-ip=52.100.10.242;
 envelope-from=mikael.svahnberg@HIDDEN;
 helo=EUR02-VE1-obe.outbound.protection.outlook.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/09 06:29:27
X-ACL-Warn: Detected OS   = Windows NT kernel [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 MSGID_FROM_MTA_HEADER=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 09 Oct 2020 10:26:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


I upgraded to emacs 27.1 yesterday and so far it has crashed twice on me
when I search for emails in Gnus. I use the following function to
perform the search (there are probably better ways, but this has worked
for me the past eight years):

--------------------
      ;; Search mail from everywhere
      (defun msv-search-mail ()
        (interactive)
        (with-current-buffer "*Group*"
          (save-excursion
            (beginning-of-buffer)
            (search-forward "All Mail")
            (call-interactively (gnus-group-make-nnir-group nil)))))

      ;; <2017-08-15 Tue>
      ;; Try a better search input
      (use-package gnus-x-gm-raw :ensure t)
--------------------

What happens is that emacs freezes and (I happened to have =top=
running in a terminal nearby) consumes 100% CPU for 5-10 seconds, before
crashing.

I have done more mail searches, and it does not crash every time I
search. The first thing I do after restarting is to perform the exact
same search, which has worked. Intermittent bugs, yay!


Not sure if it helps, but the crash dump that Apple collects is pasted below:
--------------------
Process:               Emacs [18886]
Path:                  /usr/local/Cellar/emacs-plus@27/27.1/Emacs.app/Contents/MacOS/Emacs
Identifier:            org.gnu.Emacs
Version:               Version 27.1 (9.0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Emacs [18886]
User ID:               501

Date/Time:             2020-10-09 11:51:51.155 +0200
OS Version:            Mac OS X 10.13.6 (17G14033)
Report Version:        12
Bridge OS Version:     3.0 (14Y901)
Anonymous UUID:        16D0589C-8152-74C5-5C23-3E2FC42245D3

Sleep/Wake UUID:       0E70CCAA-E4CB-4C0B-B559-4DE404156E76

Time Awake Since Boot: 58000 seconds
Time Since Wake:       14000 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_PROTECTION_FAILURE at 0x00007ffee6d37ff8
Exception Note:        EXC_CORPSE_NOTIFY

VM Regions Near 0x7ffee6d37ff8:
    MALLOC_TINY            00007fea48000000-00007fea48200000 [ 2048K] rw-/rwx SM=PRV  
--> Stack Guard            00007ffee36c7000-00007ffee6d38000 [ 54.4M] ---/rwx SM=NUL  
    Stack                  00007ffee6d38000-00007ffee6ec7000 [ 1596K] rw-/rwx SM=COW  

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff683a6b66 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff68571080 pthread_kill + 333
2   libsystem_c.dylib             	0x00007fff682b46fe raise + 26
3   org.gnu.Emacs                 	0x00000001085dca76 terminate_due_to_signal + 152
4   org.gnu.Emacs                 	0x00000001085f4c5e emacs_abort + 19
5   org.gnu.Emacs                 	0x000000010864c9ec signal_or_quit + 1277
6   org.gnu.Emacs                 	0x000000010864c4ed Fsignal + 32
7   org.gnu.Emacs                 	0x000000010864ca16 xsignal + 9
8   org.gnu.Emacs                 	0x000000010864b206 xsignal1 + 28
9   org.gnu.Emacs                 	0x000000010861996c compile_pattern + 697
10  org.gnu.Emacs                 	0x000000010861967e fast_string_match_internal + 30
11  org.gnu.Emacs                 	0x0000000108608373 Ffind_file_name_handler + 175
12  org.gnu.Emacs                 	0x0000000108609cbe Fexpand_file_name + 84
13  org.gnu.Emacs                 	0x000000010860f7fa Fdo_auto_save + 273
14  org.gnu.Emacs                 	0x00000001085dcc6c shut_down_emacs + 306
15  org.gnu.Emacs                 	0x00000001085dca44 terminate_due_to_signal + 102
16  org.gnu.Emacs                 	0x00000001085f70e8 handle_fatal_signal + 14
17  org.gnu.Emacs                 	0x00000001085f715a deliver_thread_signal + 114
18  org.gnu.Emacs                 	0x00000001085f5ee9 deliver_fatal_thread_signal + 9
19  org.gnu.Emacs                 	0x00000001085f7202 handle_sigsegv + 168
20  libsystem_platform.dylib      	0x00007fff68564f5a _sigtramp + 26
21  ???                           	000000000000000000 0 + 0
22  org.gnu.Emacs                 	0x000000010862f4d2 mark_compiled + 104
23  org.gnu.Emacs                 	0x000000010862e9ec mark_object + 780
24  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
25  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
26  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
27  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
28  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
29  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
30  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
31  org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
32  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
33  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
34  org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
35  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
36  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
37  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
38  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
39  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
40  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
41  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
42  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
43  org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
44  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
45  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
46  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
47  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
48  org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
49  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
50  org.gnu.Emacs                 	0x000000010862f4d2 mark_compiled + 104
51  org.gnu.Emacs                 	0x000000010862e9ec mark_object + 780
52  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
53  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
54  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
55  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
56  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
57  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
58  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
59  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
60  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
61  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
62  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
63  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
64  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
65  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
66  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
67  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
68  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
69  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
70  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
71  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
72  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
73  org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
74  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
75  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
76  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
77  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
78  org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
79  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
80  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
81  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
82  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
83  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
84  org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
85  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
86  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
87  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
88  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
89  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
90  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
91  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
92  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
93  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
94  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
95  org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
96  org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
97  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
98  org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
99  org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
100 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
101 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
102 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
103 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
104 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
105 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
106 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
107 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
108 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
109 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
110 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
111 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
112 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
113 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
114 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
115 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
116 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
117 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
118 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
119 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
120 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
121 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
122 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
123 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
124 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
125 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
126 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
127 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
128 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
129 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
130 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
131 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
132 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
133 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
134 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
135 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
136 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
137 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
138 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
139 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
140 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
141 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
142 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
143 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
144 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
145 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
146 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
147 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
148 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
149 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
150 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
151 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
152 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
153 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
154 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
155 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
156 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
157 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
158 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
159 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
160 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
161 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
162 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
163 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
164 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
165 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
166 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
167 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
168 org.gnu.Emacs                 	0x000000010862f4d2 mark_compiled + 104
169 org.gnu.Emacs                 	0x000000010862e9ec mark_object + 780
170 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
171 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
172 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
173 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
174 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
175 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
176 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
177 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
178 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
179 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
180 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
181 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
182 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
183 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
184 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
185 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
186 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
187 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
188 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
189 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
190 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
191 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
192 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
193 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
194 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
195 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
196 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
197 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
198 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
199 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
200 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
201 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
202 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
203 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
204 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
205 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
206 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
207 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
208 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
209 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
210 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
211 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
212 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
213 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
214 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
215 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
216 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
217 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
218 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
219 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
220 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
221 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
222 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
223 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
224 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
225 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
226 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
227 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
228 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
229 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
230 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
231 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
232 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
233 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
234 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
235 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
236 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
237 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
238 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
239 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
240 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
241 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
242 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
243 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
244 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
245 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
246 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
247 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
248 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
249 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
250 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
251 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
252 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
253 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
254 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
255 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
256 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
257 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
258 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
259 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
260 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
261 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
262 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
263 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
264 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
265 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
266 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
267 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
268 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
269 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
270 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
271 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
272 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
273 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
274 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
275 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
276 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
277 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
278 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
279 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
280 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
281 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
282 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
283 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
284 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
285 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
286 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
287 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
288 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
289 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
290 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
291 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
292 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
293 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
294 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
295 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
296 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
297 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
298 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
299 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
300 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
301 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
302 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
303 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
304 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
305 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
306 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
307 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
308 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
309 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
310 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
311 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
312 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
313 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
314 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
315 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
316 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
317 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
318 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
319 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
320 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
321 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
322 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
323 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
324 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
325 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
326 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
327 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
328 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
329 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
330 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
331 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
332 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
333 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
334 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
335 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
336 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
337 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
338 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
339 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
340 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
341 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
342 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
343 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
344 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
345 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
346 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
347 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
348 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
349 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
350 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
351 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
352 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
353 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
354 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
355 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
356 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
357 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
358 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
359 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
360 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
361 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
362 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
363 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
364 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
365 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
366 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
367 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
368 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
369 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
370 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
371 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
372 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
373 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
374 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
375 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
376 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
377 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
378 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
379 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
380 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
381 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
382 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
383 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
384 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
385 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
386 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
387 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
388 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
389 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
390 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
391 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
392 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
393 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
394 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
395 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
396 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
397 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
398 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
399 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
400 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
401 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
402 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
403 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
404 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
405 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
406 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
407 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
408 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
409 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
410 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
411 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
412 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
413 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
414 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
415 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
416 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
417 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
418 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
419 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
420 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
421 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
422 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
423 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
424 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
425 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
426 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
427 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
428 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
429 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
430 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
431 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
432 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
433 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
434 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
435 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
436 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
437 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
438 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
439 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
440 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
441 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
442 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
443 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
444 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
445 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
446 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
447 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
448 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
449 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
450 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
451 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
452 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
453 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
454 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
455 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
456 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
457 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
458 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
459 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
460 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
461 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
462 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
463 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
464 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
465 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
466 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
467 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
468 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
469 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
470 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
471 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
472 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
473 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
474 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
475 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
476 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
477 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
478 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
479 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
480 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
481 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
482 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
483 org.gnu.Emacs                 	0x000000010862eafd mark_object + 1053
484 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
485 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
486 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
487 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
488 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
489 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
490 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
491 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
492 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
493 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
494 org.gnu.Emacs                 	0x000000010862eb39 mark_object + 1113
495 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
496 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
497 org.gnu.Emacs                 	0x000000010862e968 mark_object + 648
498 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
499 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
500 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
501 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
502 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
503 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
504 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
505 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
506 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
507 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
508 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
509 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044
510 org.gnu.Emacs                 	0x000000010862f76a mark_vectorlike + 95
511 org.gnu.Emacs                 	0x000000010862eaf4 mark_object + 1044

Thread 1:: gmain
0   libsystem_kernel.dylib        	0x00007fff683a809a poll + 10
1   libglib-2.0.0.dylib           	0x000000010a161186 g_main_context_iterate + 422
2   libglib-2.0.0.dylib           	0x000000010a161296 g_main_context_iteration + 102
3   libglib-2.0.0.dylib           	0x000000010a163346 glib_worker_main + 54
4   libglib-2.0.0.dylib           	0x000000010a18f492 g_thread_proxy + 66
5   libsystem_pthread.dylib       	0x00007fff6856e661 _pthread_body + 340
6   libsystem_pthread.dylib       	0x00007fff6856e50d _pthread_start + 377
7   libsystem_pthread.dylib       	0x00007fff6856dbf9 thread_start + 13

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff683a6cf2 __select + 10
1   org.gnu.Emacs                 	0x00000001086b8754 -[EmacsApp fd_handler:] + 218
2   com.apple.Foundation          	0x00007fff4240a9d8 __NSThread__start__ + 1197
3   libsystem_pthread.dylib       	0x00007fff6856e661 _pthread_body + 340
4   libsystem_pthread.dylib       	0x00007fff6856e50d _pthread_start + 377
5   libsystem_pthread.dylib       	0x00007fff6856dbf9 thread_start + 13

Thread 3:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0x00007fff6839d1fa mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff6839c714 mach_msg + 60
2   com.apple.CoreFoundation      	0x00007fff402fd405 __CFRunLoopServiceMachPort + 341
3   com.apple.CoreFoundation      	0x00007fff402fc757 __CFRunLoopRun + 1783
4   com.apple.CoreFoundation      	0x00007fff402fbdd3 CFRunLoopRunSpecific + 483
5   com.apple.AppKit              	0x00007fff3d9d0fc4 _NSEventThread + 184
6   libsystem_pthread.dylib       	0x00007fff6856e661 _pthread_body + 340
7   libsystem_pthread.dylib       	0x00007fff6856e50d _pthread_start + 377
8   libsystem_pthread.dylib       	0x00007fff6856dbf9 thread_start + 13

Thread 4:
0   libsystem_pthread.dylib       	0x00007fff6856dbdc start_wqthread + 0

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00007fffa0c89380  rcx: 0x0000000108b33a78  rdx: 0x0000000000000000
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp: 0x0000000108b33ab0  rsp: 0x0000000108b33a78
   r8: 0x000000010870dd5e   r9: 0x000000010870dd5e  r10: 0x0000000000000000  r11: 0x0000000000000287
  r12: 0x0000000000000307  r13: 0x0000000000007a70  r14: 0x0000000000000006  r15: 0x000000000000002d
  rip: 0x00007fff683a6b66  rfl: 0x0000000000000286  cr2: 0x0000000108b32d78
  
Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133


Binary Images:
       0x108539000 -        0x108723fff +org.gnu.Emacs (Version 27.1 - 9.0) <3C0F0C5E-4071-3E91-8887-CB13A605C341> /usr/local/Cellar/emacs-plus@27/27.1/Emacs.app/Contents/MacOS/Emacs
       0x108bdd000 -        0x1092cbfff +librsvg-2.2.dylib (0) <D77FA264-FC8E-3E92-9649-88840B9A4A47> /usr/local/opt/librsvg/lib/librsvg-2.2.dylib
       0x109eda000 -        0x10a01cfff +libgio-2.0.0.dylib (0) <14FAEEA7-24B5-3C76-9001-0876EE1906C5> /usr/local/opt/glib/lib/libgio-2.0.0.dylib
       0x10a09d000 -        0x10a0b6fff +libgdk_pixbuf-2.0.0.dylib (0) <CE9FA62F-AE31-3A06-B0E3-457C82B691FC> /usr/local/opt/gdk-pixbuf/lib/libgdk_pixbuf-2.0.0.dylib
       0x10a0cd000 -        0x10a107ff7 +libgobject-2.0.0.dylib (0) <8D88CDE4-4CFD-3ED3-A431-263BDA07B1FF> /usr/local/opt/glib/lib/libgobject-2.0.0.dylib
       0x10a121000 -        0x10a223ff3 +libglib-2.0.0.dylib (0) <5A2C082E-CC21-34B4-B575-7AF552616600> /usr/local/opt/glib/lib/libglib-2.0.0.dylib
       0x10a250000 -        0x10a259fff +libintl.8.dylib (0) <9162C612-3947-384D-AA5E-7A528A679A39> /usr/local/opt/gettext/lib/libintl.8.dylib
       0x10a260000 -        0x10a30eff3 +libcairo.2.dylib (0) <4D72E9C8-8C58-37B8-965B-AB32591C9064> /usr/local/opt/cairo/lib/libcairo.2.dylib
       0x10a33b000 -        0x10a445ff3 +libMagickWand-7.Q16HDRI.7.dylib (0) <159D3A64-81BA-3531-9243-7FE50604BE51> /usr/local/opt/imagemagick/lib/libMagickWand-7.Q16HDRI.7.dylib
       0x10a461000 -        0x10a5feffb +libMagickCore-7.Q16HDRI.7.dylib (0) <3D21BFDC-0ED4-37CB-A212-71B39611C398> /usr/local/opt/imagemagick/lib/libMagickCore-7.Q16HDRI.7.dylib
       0x10a634000 -        0x10a780fcb +libgnutls.30.dylib (0) <D3673784-1571-313C-BCDE-ACC0430647CE> /usr/local/opt/gnutls/lib/libgnutls.30.dylib
       0x10a7ca000 -        0x10a802ff3 +liblcms2.2.dylib (0) <D8CED596-5E6D-31F6-B628-99B0A80ACEA6> /usr/local/opt/little-cms2/lib/liblcms2.2.dylib
       0x10a81c000 -        0x10a824ff3 +libjansson.4.dylib (0) <BBB0D237-6DB2-3F87-9D3D-858A0E6DC609> /usr/local/opt/jansson/lib/libjansson.4.dylib
       0x10a82a000 -        0x10a887fdf +libgmp.10.dylib (0) <F06582B1-2F6E-3F7F-A2BA-E66470FC01D3> /usr/local/opt/gmp/lib/libgmp.10.dylib
       0x10a896000 -        0x10a8b8fff +libpng16.16.dylib (0) <211A7B4C-219C-3929-A2CF-D796E3A5F40A> /usr/local/opt/libpng/lib/libpng16.16.dylib
       0x10a8c8000 -        0x10a8cdfff +libcairo-gobject.2.dylib (0) <6F2185DC-0437-36D2-9E7C-6F3564C4365C> /usr/local/opt/cairo/lib/libcairo-gobject.2.dylib
       0x10a8d3000 -        0x10a8e2ff3 +libpangocairo-1.0.0.dylib (0) <AACFF1AE-42D5-38E5-9002-4B8A0FA8E11E> /usr/local/opt/pango/lib/libpangocairo-1.0.0.dylib
       0x10a8ee000 -        0x10a8fbfff +libpangoft2-1.0.0.dylib (0) <6BCC2CF4-85C7-3272-A827-67B0B3791A9C> /usr/local/opt/pango/lib/libpangoft2-1.0.0.dylib
       0x10a907000 -        0x10a944fff +libpango-1.0.0.dylib (0) <D6751004-0D91-347A-95D2-4FB9A72ACBA4> /usr/local/opt/pango/lib/libpango-1.0.0.dylib
       0x10a95f000 -        0x10aa36fff +libharfbuzz.0.dylib (0) <BE9A32F6-CFEF-3BEC-98DC-09DAC61CA12C> /usr/local/opt/harfbuzz/lib/libharfbuzz.0.dylib
       0x10aa65000 -        0x10aa94fff +libfontconfig.1.dylib (0) <DF644C1F-4C8C-372F-A0B4-B03BCB76AEDE> /usr/local/opt/fontconfig/lib/libfontconfig.1.dylib
       0x10aaa3000 -        0x10ab22fff +libfreetype.6.dylib (0) <8C20348A-CA00-354D-A4D5-3F02C2C4B196> /usr/local/opt/freetype/lib/libfreetype.6.dylib
       0x10ab41000 -        0x10abbcfff +libpixman-1.0.dylib (0) <175C4057-D87E-3583-9675-0BADB711BD58> /usr/local/opt/pixman/lib/libpixman-1.0.dylib
       0x10abd3000 -        0x10abd8fdf +libffi.7.dylib (0) <DCC7E26C-71FA-318D-914B-E9132D4B0446> /usr/local/opt/libffi/lib/libffi.7.dylib
       0x10abdc000 -        0x10ac46fff +libpcre.1.dylib (0) <94764018-C82A-380B-81A0-C389EDB4E562> /usr/local/opt/pcre/lib/libpcre.1.dylib
       0x10ac4c000 -        0x10ac4efff +libgmodule-2.0.0.dylib (0) <22121062-649B-3862-9957-BDCA44276459> /usr/local/opt/glib/lib/libgmodule-2.0.0.dylib
       0x10ac53000 -        0x10ac6bff7 +libfribidi.0.dylib (0) <428946C6-F3DC-37F7-B622-B16C86809F90> /usr/local/opt/fribidi/lib/libfribidi.0.dylib
       0x10ac6f000 -        0x10ac84ff3 +libgraphite2.3.dylib (0) <AC3056A6-1642-31D6-8DA1-F680BA2253DA> /usr/local/opt/graphite2/lib/libgraphite2.3.dylib
       0x10ac8f000 -        0x10aceaffb +libomp.dylib (0) <9A02D891-FF46-3E0D-8477-486E9DF27816> /usr/local/opt/libomp/lib/libomp.dylib
       0x10ad21000 -        0x10ad2aff3 +liblqr-1.0.dylib (0) <2B1F8F34-C32A-3C6B-B2B5-A959A7FD4647> /usr/local/opt/liblqr/lib/liblqr-1.0.dylib
       0x10ad35000 -        0x10ad50ff3 +liblzma.5.dylib (0) <DFB41426-06AD-3430-90F1-07FC82AB81FD> /usr/local/opt/xz/lib/liblzma.5.dylib
       0x10ad5c000 -        0x10ad61ff3 +libltdl.7.dylib (0) <A6D4130F-945A-3AF2-B11C-D3465A926CD2> /usr/local/opt/libtool/lib/libltdl.7.dylib
       0x10ad6a000 -        0x10ae11ff7 +libp11-kit.0.dylib (0) <59035D23-D444-3A53-8950-5B5B2D36375C> /usr/local/opt/p11-kit/lib/libp11-kit.0.dylib
       0x10ae5f000 -        0x10ae7dfff +libidn2.0.dylib (0) <9D626F05-83CB-3447-8ACC-EB639D86AF1B> /usr/local/opt/libidn2/lib/libidn2.0.dylib
       0x10ae83000 -        0x10afe6fff +libunistring.2.dylib (0) <A4545916-E2F4-3D6A-862B-528A6806E9FC> /usr/local/opt/libunistring/lib/libunistring.2.dylib
       0x10affa000 -        0x10b006fff +libtasn1.6.dylib (0) <4FCAA049-26A7-33F4-A524-EC146524F3A5> /usr/local/opt/libtasn1/lib/libtasn1.6.dylib
       0x10b00f000 -        0x10b037ff7 +libnettle.8.dylib (0) <544A7A1E-6AEC-37F1-B065-7A0A53CC6A89> /usr/local/opt/nettle/lib/libnettle.8.dylib
       0x10b042000 -        0x10b078fff +libhogweed.6.dylib (0) <8BA67509-F9FE-37D2-8C8E-4ADFA9309E93> /usr/local/opt/nettle/lib/libhogweed.6.dylib
       0x10e75c000 -        0x10e75eff7  com.apple.CloudDocsFileProvider (1.0 - 575.14) <4C4CDC11-D96B-3210-9AB7-1CD2B7207B8F> /System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/CloudDocsFileProvider.bundle/Contents/MacOS/CloudDocsFileProvider
       0x10e763000 -        0x10e766fff  com.apple.FileProviderOverride (125.15 - 125.15) <344F0109-B976-33E9-89E0-BA51D64ADE7D> /System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/FileProviderOverride.bundle/Contents/MacOS/FileProviderOverride
       0x10e76c000 -        0x10e772fff  com.apple.FinderSyncCollaborationFileProviderOverride (1.0 - 1054.6.1) <DCFC3A78-0896-3FDF-A76C-B00A08A5676E> /System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/FinderSyncCollaborationFileProviderOverride.bundle/Contents/MacOS/FinderSyncCollaborationFileProviderOverride
       0x10eb74000 -        0x10eb78ffb +aai.so (0) <31546D84-8353-3138-9667-8C34C17B0F1C> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/aai.so
       0x10ebdb000 -        0x10ebdffff +art.so (0) <895341D7-6CB4-3E74-8142-C9FF90AB7E73> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/art.so
       0x10ebe2000 -        0x10ebe3ffb +libIexMath-2_5.25.dylib (0) <084316C3-F8ED-3C62-8526-ACE39513932B> /usr/local/opt/ilmbase/lib/libIexMath-2_5.25.dylib
       0x10fb69000 -        0x10fb6dffb +ashlar.so (0) <FA507684-73C5-39BD-9B43-507C99E4C0F0> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ashlar.so
       0x10fb70000 -        0x10fb74fff +avs.so (0) <82B12F09-1D09-3723-8E76-9A5831DA8865> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/avs.so
       0x10fb77000 -        0x10fb7dffb +bgr.so (0) <A5AC8724-ECBA-362F-8A1D-2AFB9AFC30F1> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/bgr.so
       0x10fb80000 -        0x10fb89fff +bmp.so (0) <F2D72222-FB7B-32C7-9D36-45641C0603C4> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/bmp.so
       0x10fb8d000 -        0x10fb91fff +braille.so (0) <440D543C-9442-36DB-A286-2D9D651F3F2C> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/braille.so
       0x10fb94000 -        0x10fb98ff7 +cals.so (0) <FDA7356F-9122-39E8-BFB3-59AD25403D3B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/cals.so
       0x10fb9b000 -        0x10fb9ffff +caption.so (0) <959D5B3F-C584-3A1C-8209-96B6156028AC> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/caption.so
       0x10fba2000 -        0x10fba8fff +cin.so (0) <3CB93676-29DB-3A36-9797-B4C2EFBE4685> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/cin.so
       0x10fbac000 -        0x10fbaffff +dot.so (0) <3EE32147-C2C4-3AE7-AB02-01F9DFD7ED72> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/dot.so
       0x10fdeb000 -        0x10fdeffff +cip.so (0) <A1FA7398-AA2C-3F13-B75D-18731D40DA33> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/cip.so
       0x1100cb000 -        0x1100cffff +clip.so (0) <DA455850-5625-36BD-8087-67975B2E8F6B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/clip.so
       0x1100d2000 -        0x1100d9fff +cmyk.so (0) <109C38F8-96E0-38F5-9052-DC4D8FD1383A> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/cmyk.so
       0x1100dc000 -        0x1100e0fff +cube.so (0) <6743E0FB-A26A-379F-A8DE-5A1BA9F6665E> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/cube.so
       0x1100e3000 -        0x1100e8ffb +cut.so (0) <C506AB67-5C2B-309A-9AC4-EAF44A23F1B0> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/cut.so
       0x1100eb000 -        0x1100eefff +ora.so (0) <C507B31A-3021-3281-A739-F71DD7288BC8> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ora.so
       0x110d8f000 -        0x110d99ff3 +dds.so (0) <21B8039D-50F2-3AB6-A38B-FAB3B03C3FA6> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/dds.so
       0x1116b6000 -        0x1116cbff7 +dcm.so (0) <DB016FD9-6EF4-35EB-924B-E91C7088A1FB> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/dcm.so
       0x1116df000 -        0x1116e3ffb +debug.so (0) <FD2D51D1-C7FA-3816-9B1F-C0D446858043> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/debug.so
       0x1116e6000 -        0x1116ecff7 +dib.so (0) <40C5E4EB-2601-3C56-8958-470049E6D62A> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/dib.so
       0x1116ef000 -        0x1116f3fff +dng.so (0) <29B3220F-4B16-316E-A0AB-F989D09E691E> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/dng.so
       0x1116f6000 -        0x1116feff3 +dpx.so (0) <00435005-094B-3400-88A9-0FD85C43D685> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/dpx.so
       0x111702000 -        0x111706fff +ept.so (0) <EAD87D0B-BF67-3561-B723-B50F87C24542> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ept.so
       0x111709000 -        0x11170fffb +exr.so (0) <D9121B85-BC15-3EAB-B9C5-781B7D103A91> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/exr.so
       0x111712000 -        0x11171dfff +libImath-2_5.25.dylib (0) <CF0D3374-CD2D-3D75-80F4-7D80459173A1> /usr/local/opt/ilmbase/lib/libImath-2_5.25.dylib
       0x111725000 -        0x111766ffb +libHalf-2_5.25.dylib (0) <1E39EA08-C03C-375C-A8A1-E7D093CA1F3F> /usr/local/opt/ilmbase/lib/libHalf-2_5.25.dylib
       0x111769000 -        0x11176cff7 +libIlmThread-2_5.25.dylib (0) <5B4127D8-11BE-3BD6-BF0D-3E0A01D64244> /usr/local/opt/ilmbase/lib/libIlmThread-2_5.25.dylib
       0x111772000 -        0x111776ff3 +fax.so (0) <F4B4BFB7-0BF2-377C-ADD6-877440868BC7> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/fax.so
       0x111779000 -        0x11177fffb +fits.so (0) <B131DC12-C495-378E-A22A-69EE9858190A> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/fits.so
       0x111783000 -        0x111787fff +gradient.so (0) <AF0E7437-EE17-3B08-B8B1-E80981024BCC> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/gradient.so
       0x11830d000 -        0x118357adf  dyld (551.5) <CB9BFB56-4511-36F1-A546-891FF770C01C> /usr/lib/dyld
       0x141d71000 -        0x141d89ff7 +libIex-2_5.25.dylib (0) <F38E8657-7246-3D1C-8ACB-5285AF12A87A> /usr/local/opt/ilmbase/lib/libIex-2_5.25.dylib
       0x141ddc000 -        0x141de4ff7 +gif.so (0) <56FD61C4-543E-34D5-BFD4-4E7C915ADABD> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/gif.so
       0x141de8000 -        0x141deeff3 +gray.so (0) <7465F80E-F84A-3FC6-B894-DCE404D79AC2> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/gray.so
       0x141df1000 -        0x141df5fff +hald.so (0) <B7BBE39D-0CAD-3C0E-B99C-15E81029361C> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/hald.so
       0x141df8000 -        0x141dfdffb +hdr.so (0) <EDF3C5C8-11BA-3604-8BEC-E8830653FCFE> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/hdr.so
       0x141e00000 -        0x141e06ff3 +heic.so (0) <070EA934-DFE5-3199-BD91-3B73ED4F4EDA> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/heic.so
       0x141e0a000 -        0x141e0eff3 +histogram.so (0) <6F34F11A-0B52-345B-BEC1-A17678BF1DE7> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/histogram.so
       0x141e11000 -        0x141e15fff +hrz.so (0) <D48F8524-CC47-325E-93BD-204B4382E364> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/hrz.so
       0x141e18000 -        0x141e1cffb +html.so (0) <53BBEA49-0E05-3A88-975B-25DDDC69C70B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/html.so
       0x141e1f000 -        0x141e25ff3 +icon.so (0) <8109EB40-AD71-3093-8D9D-1B7E7F573C47> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/icon.so
       0x141e29000 -        0x141e2dfff +info.so (0) <93D17900-75E3-35B1-ABBE-C799E6BB1E3B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/info.so
       0x141e30000 -        0x141e34fff +inline.so (0) <2C9F30E5-9308-36FB-AB3D-9A2EEBA57B1C> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/inline.so
       0x141e37000 -        0x141e3cffb +ipl.so (0) <479CDCA8-B68C-3519-8F2C-C373C32FB6D4> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ipl.so
       0x148d98000 -        0x148df2ff7 +libheif.1.dylib (0) <507720B6-A2F3-3554-B1C6-D2DBEA1C4580> /usr/local/opt/libheif/lib/libheif.1.dylib
       0x148e22000 -        0x148e26ffb +jnx.so (0) <96F658FB-69F0-3EA4-9DD2-5550C06B20DB> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/jnx.so
       0x148e29000 -        0x148e2fff3 +jp2.so (0) <16DF64F4-B933-36E3-8CE5-4EBF1CF98110> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/jp2.so
       0x148e33000 -        0x148e3eff7 +jpeg.so (0) <51DA123D-7B42-301B-AA0B-973771ADA17F> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/jpeg.so
       0x148e43000 -        0x148e4dfff +json.so (0) <45F14377-1F00-3B51-97F5-DA58E4C5D23F> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/json.so
       0x148e51000 -        0x148e55ff7 +label.so (0) <A1014131-3772-31D7-8038-3183B2BAB218> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/label.so
       0x14b87f000 -        0x14baf9feb +libIlmImf-2_5.25.dylib (0) <A516D3B9-A60D-3EE8-A029-DBC8DF18658B> /usr/local/opt/openexr/lib/libIlmImf-2_5.25.dylib
       0x14bb4f000 -        0x14bbb7ff7 +libde265.0.dylib (0) <D831CFA1-013C-3FC1-AA41-401C50D6C5C1> /usr/local/opt/libde265/lib/libde265.0.dylib
       0x14bbf1000 -        0x14ca88fc3 +libx265.192.dylib (0) <FE5FFDA3-93C5-3833-BF41-3BE4E0B7F3F6> /usr/local/opt/x265/lib/libx265.192.dylib
       0x14cca7000 -        0x14ccdfffb +libopenjp2.7.dylib (0) <4559F881-D6A7-3F37-B260-5DC0071D6802> /usr/local/opt/openjpeg/lib/libopenjp2.7.dylib
       0x14cce8000 -        0x14cd15fff +libjpeg.9.dylib (0) <560600C3-6ED0-3326-8365-037EB4711CBB> /usr/local/opt/jpeg/lib/libjpeg.9.dylib
       0x14cd1c000 -        0x14cd20ffb +mac.so (0) <646B85BD-6441-3756-9A55-52B08570D797> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mac.so
       0x14cd23000 -        0x14cd4dff3 +magick.so (0) <518646AC-3569-38B1-846B-E5AB21F9CF2B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/magick.so
       0x14cd5c000 -        0x14cd60fff +map.so (0) <0B9DC209-D006-31B2-9920-A11C2946C2DF> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/map.so
       0x14cd63000 -        0x14cd67fff +mask.so (0) <FD40A8C3-4B47-3EA4-AE91-E16E06ED7636> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mask.so
       0x14cd6a000 -        0x14cd71ffb +mat.so (0) <AE22D5EE-6C1F-30C6-B3D2-46244A37F90C> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mat.so
       0x14cd75000 -        0x14cd79fff +matte.so (0) <AE570FCA-9F65-3027-BF65-71E683775DE0> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/matte.so
       0x14cd7c000 -        0x14cd84ffb +meta.so (0) <D657366C-9BEF-3DF9-8E3B-EB87625C7B28> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/meta.so
       0x14cd88000 -        0x14cd92ffb +miff.so (0) <CFD2DF66-6E39-3ED5-92D9-68E82D74AC97> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/miff.so
       0x14cd97000 -        0x14cd9bfff +mono.so (0) <FD349FB4-34C7-3A9E-A19E-3277F561AAD9> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mono.so
       0x14cd9e000 -        0x14cda5ff7 +mpc.so (0) <F5CC29E5-AEBC-32F2-9CF1-184ABF9B6839> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mpc.so
       0x14cda9000 -        0x14cdadfff +mpr.so (0) <F4E67F26-D11F-3C53-A040-350558640D39> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mpr.so
       0x14cdb0000 -        0x14cdc6fff +msl.so (0) <0BB68C03-5422-3A97-A3AC-1DD86EC464F3> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/msl.so
       0x14cdcc000 -        0x14cdd0ffb +mtv.so (0) <3920C740-EA3A-3156-A560-3EC358C49239> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mtv.so
       0x14cdd3000 -        0x14cdd7ff3 +mvg.so (0) <2CB986BB-66DD-356E-9866-DF0E7619703B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/mvg.so
       0x14cdda000 -        0x14cddefff +null.so (0) <067B121B-5E78-3198-B6D2-78D859B7C5F5> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/null.so
       0x14cde1000 -        0x14cde5fff +otb.so (0) <EB78DF27-4D28-3899-858E-837B6117373E> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/otb.so
       0x14cde8000 -        0x14cdeeffb +palm.so (0) <C8FBF5E9-337A-397D-861D-5C44BE226CAE> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/palm.so
       0x14cdf1000 -        0x14cdf4fff +pango.so (0) <3A0F538F-D021-329E-B0EE-337637D123E7> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pango.so
       0x14cdf7000 -        0x14cdfbffb +pattern.so (0) <87ABE4A2-2C94-3170-BD19-FD76B73A05C8> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pattern.so
       0x14cdfe000 -        0x14ce04ff7 +pcd.so (0) <63A1581F-C92C-3EBD-9FAC-DB2592283A7B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pcd.so
       0x14ce08000 -        0x14ce0dfff +pcl.so (0) <951DD3FB-525E-300B-B92F-8F62D869599B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pcl.so
       0x14ce10000 -        0x14ce16ffb +pcx.so (0) <AABF9AAB-8AF4-3D0B-82B9-C4423320DD68> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pcx.so
       0x14ce19000 -        0x14ce1effb +pdb.so (0) <96118D9D-A2D0-3C30-B2A5-3E87D63C13AE> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pdb.so
       0x14ce21000 -        0x14ce2efff +pdf.so (0) <D8A5DD45-AD34-378C-9BF7-977ACA1D8020> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pdf.so
       0x14ce33000 -        0x14d375ff7 +libgs.9.53.dylib (0) <058467B3-802A-3539-AF45-2FDBDEAEF3D5> /usr/local/opt/ghostscript/lib/libgs.9.53.dylib
       0x14db3d000 -        0x14db42ff7 +pes.so (0) <371EC37E-A7AB-36E5-B03E-245752BE8D85> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pes.so
       0x14db45000 -        0x14db49ff3 +pgx.so (0) <1DD647A2-82EE-36CF-B1C1-1C9201153433> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pgx.so
       0x14db4c000 -        0x14db54ffb +pict.so (0) <F6DA4113-D16D-3AB4-8104-C8DD3A9B6F55> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pict.so
       0x14db59000 -        0x14db5dfff +pix.so (0) <F5BC7B2E-76CB-38D4-9769-AB2D6615E127> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pix.so
       0x14db60000 -        0x14db64ffb +plasma.so (0) <DB82D207-9069-348B-8B06-E4BD110FDDA3> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/plasma.so
       0x14db67000 -        0x14db8cff7 +png.so (0) <AC378619-888A-3827-9F2A-8D00752D4A90> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/png.so
       0x14db92000 -        0x14db9cffb +pnm.so (0) <FF5C0199-71C3-3F79-A935-1DEB7E010CF9> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pnm.so
       0x14dba0000 -        0x14dbacff3 +ps.so (0) <C5A5D0A0-E548-364B-92EC-B415C7830BFE> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ps.so
       0x14dbb0000 -        0x14dbb8ff3 +ps2.so (0) <662B85F0-8AFE-38CC-A438-CC18E39E25A8> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ps2.so
       0x14dbbb000 -        0x14dbc1ff7 +libwebpmux.3.dylib (0) <38274E8D-A3BA-3180-9F62-F009A13DB974> /usr/local/opt/webp/lib/libwebpmux.3.dylib
       0x14dbc5000 -        0x14dbc7fff +libwebpdemux.2.dylib (0) <7E763346-FE8A-3944-B22B-0EE2DC362F28> /usr/local/opt/webp/lib/libwebpdemux.2.dylib
       0x14dbca000 -        0x14dc1effb +libwebp.7.dylib (0) <DB713678-969B-39F9-93F8-BCFA940C3CE5> /usr/local/opt/webp/lib/libwebp.7.dylib
       0x14dc2d000 -        0x14dc36ff7 +ps3.so (0) <A0DE7161-1ADF-3574-AB01-DA68CD8F1CE8> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ps3.so
       0x14dc3a000 -        0x14dc47fff +psd.so (0) <B78BD7D5-0D12-3CD7-BC0E-B24639B086FD> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/psd.so
       0x14dc4c000 -        0x14dc50fff +pwp.so (0) <74575E49-E0B8-3117-8342-0BEF3E60DAB2> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/pwp.so
       0x14dc53000 -        0x14dc5afff +rgb.so (0) <C469EFC5-5D2A-3B8A-915D-7211AB61B39F> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/rgb.so
       0x14dc5d000 -        0x14dc61ffb +rgf.so (0) <9D28D2C9-C3BF-3D99-A5E7-A22055CB549E> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/rgf.so
       0x14dc64000 -        0x14dc68ffb +rla.so (0) <A5C6AE3B-B8BA-30E2-96EE-A9DE9B75154F> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/rla.so
       0x14dc6b000 -        0x14dc71ffb +rle.so (0) <BFAA97ED-8613-3BD2-ACB4-C976CD5E3ECA> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/rle.so
       0x14dc74000 -        0x14dc78ff7 +scr.so (0) <D719D0E9-4A96-301B-8559-C32CDE76DC9B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/scr.so
       0x14dc7b000 -        0x14dc7fff3 +sct.so (0) <14DBE69A-73DC-38EE-BBE7-CEC4BFAC385E> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/sct.so
       0x14dc82000 -        0x14dc86ff3 +sfw.so (0) <3C5C56B4-40D1-3354-82DF-65BB64AE549D> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/sfw.so
       0x14dc89000 -        0x14dc8fffb +sgi.so (0) <D6CE896A-4418-3CDF-A293-8BEE008B1719> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/sgi.so
       0x14dc92000 -        0x14dc98ffb +sixel.so (0) <86AF52FB-3B85-3B4F-A5ED-0432D8D5E566> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/sixel.so
       0x14dc9b000 -        0x14dc9fffb +stegano.so (0) <2DCF920F-10E3-30B5-8671-283BF42B80E9> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/stegano.so
       0x14dca2000 -        0x14dca7fff +sun.so (0) <DD9B3E58-34F4-3448-80E8-CF63B9180623> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/sun.so
       0x14dcaa000 -        0x14dcb9ffb +svg.so (0) <A5CD8C1F-FDCB-3060-84AD-B5CBCCAD4AB7> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/svg.so
       0x14dcbe000 -        0x14dcc4ff3 +tga.so (0) <A2875EE0-F280-380C-BD19-F88F2D8A60B1> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/tga.so
       0x14dcc7000 -        0x14dccbfff +thumbnail.so (0) <651838D9-4EA1-314E-B44F-6F3006CB8D8C> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/thumbnail.so
       0x14dcce000 -        0x14dce5ff7 +tiff.so (0) <E7EFCA48-B656-3C06-B3BE-5E0860C5B9FB> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/tiff.so
       0x14dcec000 -        0x14dd48fff +libtiff.5.dylib (0) <2BF893D8-C98D-3E81-9465-59F137706C25> /usr/local/opt/libtiff/lib/libtiff.5.dylib
       0x14dd57000 -        0x14dd5bfff +tile.so (0) <B25DB7D1-06FC-3F9D-A39A-0F9EBDBB63BF> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/tile.so
       0x14dd5e000 -        0x14dd62ffb +tim.so (0) <2AC260C9-9317-3226-83F7-04E891C2DFFC> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/tim.so
       0x14dd65000 -        0x14dd6affb +tim2.so (0) <2EE25221-8109-3DF8-B301-5D0967556B98> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/tim2.so
       0x14dd6d000 -        0x14dd71ff3 +ttf.so (0) <290D2A94-2A60-390C-9513-A2C8C7EE26D9> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ttf.so
       0x14dd74000 -        0x14dd7affb +txt.so (0) <173766F0-BF5A-3046-B23B-27A05B7A9721> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/txt.so
       0x14dd7e000 -        0x14dd82ff7 +uil.so (0) <44449A26-C82C-31AD-87A1-738E40B468FE> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/uil.so
       0x14dd85000 -        0x14dd89fff +url.so (0) <3577C28E-7ED7-365A-B1AC-CA8683A62170> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/url.so
       0x14dd8c000 -        0x14dd90fff +uyvy.so (0) <CAC4DD9E-1B52-39F9-B3BD-B2643CD0418B> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/uyvy.so
       0x14dd93000 -        0x14dd97ff7 +vicar.so (0) <0F08E9B4-4CAF-3D6E-939F-EFCF0573ABE9> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/vicar.so
       0x14dd9a000 -        0x14dd9efff +vid.so (0) <5FACFC27-F61F-35C6-AC90-2BEB4C9587B0> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/vid.so
       0x14dda1000 -        0x14dda6ff7 +video.so (0) <86E71C7D-2B98-36D0-9930-85EC13508AD4> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/video.so
       0x14dda9000 -        0x14ddaffff +viff.so (0) <A4E2ABB4-C267-3E69-A224-BFDB4CF67009> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/viff.so
       0x14ddb2000 -        0x14ddb7ff7 +vips.so (0) <0D0585DD-6ECF-3C37-A013-519813237155> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/vips.so
       0x14ddba000 -        0x14ddbefff +wbmp.so (0) <684CC88C-A29C-3E0B-A40C-89A4CB460391> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/wbmp.so
       0x14ddc1000 -        0x14ddc8ffb +webp.so (0) <2DE422D2-D0D3-3041-B867-70D3585745DE> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/webp.so
       0x14ddcc000 -        0x14ddd3ff7 +wpg.so (0) <98002A09-C6CF-393B-9949-6A5111A3ABD3> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/wpg.so
       0x14ddd6000 -        0x14dddbff3 +xbm.so (0) <829DC53F-78F0-3F32-9ED3-628ED12421CA> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/xbm.so
       0x14ddde000 -        0x14dde2fff +xc.so (0) <C1268F0A-DE7C-36C8-A5A7-C6CF34848333> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/xc.so
       0x14dde5000 -        0x14ddebff7 +xcf.so (0) <2EF797CD-40B8-3D4F-A14D-FF15F0EE1FA1> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/xcf.so
       0x14ddee000 -        0x14ddf4ffb +xpm.so (0) <8CB3AA74-F868-3B69-9A6B-ED6E72A6BCFB> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/xpm.so
       0x14ddf8000 -        0x14ddfcfff +xps.so (0) <4DF31D68-91A4-32D1-A089-D71685B958C3> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/xps.so
       0x14ddff000 -        0x14de02fff +xtrn.so (0) <6647EAE0-235C-3022-8CBE-5E1C22A69D45> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/xtrn.so
       0x14de05000 -        0x14de0bffb +ycbcr.so (0) <557A0874-C388-38FA-B2F0-DB3C423404DD> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/ycbcr.so
       0x14de0e000 -        0x14de13ffb +yuv.so (0) <B2B23F08-641E-3B8B-A72B-3F4726F19573> /usr/local/Cellar/imagemagick/7.0.10-33/lib/ImageMagick/modules-Q16HDRI/coders/yuv.so
    0x7fff38827000 -     0x7fff38b75ff7  com.apple.RawCamera.bundle (8.05.0 - 1017.4.1) <937CBA8D-60C8-3739-8DFF-1C737D6339EF> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff3a3f6000 -     0x7fff3a5e1fff  com.apple.driver.AppleIntelSKLGraphicsMTLDriver (10.36.32 - 10.3.6) <3B88351C-9504-3DD5-B6DA-C3998C09FD75> /System/Library/Extensions/AppleIntelSKLGraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelSKLGraphicsMTLDriver
    0x7fff3c7ec000 -     0x7fff3c7ecfff  com.apple.Accelerate (1.11 - Accelerate 1.11) <8632A9C5-19EA-3FD7-A44D-80765CC9C540> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff3c7ed000 -     0x7fff3c803fef  libCGInterfaces.dylib (417.2) <46DFCDA4-0470-3CDB-9875-0375D35FB9A3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff3c804000 -     0x7fff3cd02fc3  com.apple.vImage (8.1 - ???) <A243A7EF-0C8E-3A9A-AA38-44AFD7507F00> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff3cd03000 -     0x7fff3ce5dfe3  libBLAS.dylib (1211.50.2) <62C659EB-3E32-3B5F-83BF-79F5DF30D5CE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff3ce5e000 -     0x7fff3ce8cfef  libBNNS.dylib (38.1) <7BAEFDCA-3227-3E07-80D8-59B6370B89C6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff3ce8d000 -     0x7fff3d24cff7  libLAPACK.dylib (1211.50.2) <40ADBA5F-8B2D-30AC-A7AD-7B17C37EE52D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff3d24d000 -     0x7fff3d262ff7  libLinearAlgebra.dylib (1211.50.2) <E8E0B7FD-A0B7-31E5-AF01-81781F71EBBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff3d263000 -     0x7fff3d268ff3  libQuadrature.dylib (3) <E936BDAF-8492-34D9-8C5C-AFBFCDAD8318> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff3d269000 -     0x7fff3d2e9fff  libSparse.dylib (79.50.2) <0DC25CDD-F8C1-3D6E-B472-8B060708424F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff3d2ea000 -     0x7fff3d2fdfff  libSparseBLAS.dylib (1211.50.2) <722573CC-31CC-34B2-9032-E4F652A9CCFE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff3d2fe000 -     0x7fff3d4abfc3  libvDSP.dylib (622.50.5) <40690941-CF89-3F90-A0AC-A4D200744A5D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff3d4ac000 -     0x7fff3d55dfff  libvMisc.dylib (622.50.5) <BA2532DF-2D68-3DD0-9B59-D434BF702AA4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff3d55e000 -     0x7fff3d55efff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <54FF3B43-E66C-3F36-B34B-A2B3B0A36502> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff3d852000 -     0x7fff3e6b0fff  com.apple.AppKit (6.9 - 1561.61.100) <4E6EA3FA-8C2C-3B21-BFF9-6F8C458B7BE1> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff3e702000 -     0x7fff3e702fff  com.apple.ApplicationServices (48 - 50) <2B5B76E7-0AB2-31F9-BE58-B963BF1EC2E8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff3e703000 -     0x7fff3e769fff  com.apple.ApplicationServices.ATS (377 - 445.5) <60176327-F757-308E-B61A-D43394E87CC5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff3e802000 -     0x7fff3e924ff7  libFontParser.dylib (222.1.9) <FFF2AC1A-D4D2-3AD3-BFF2-F3649ECB02AC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff3e925000 -     0x7fff3e970ff7  libFontRegistry.dylib (221.6) <30C6D1DE-C0E3-3447-A0EF-829443D95F0E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff3e9c2000 -     0x7fff3e9c7fff  libFontRegistryUI.dylib (221.6) <C9FF5F1A-07BC-3472-ADD8-C07005E1AB53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistryUI.dylib
    0x7fff3ea15000 -     0x7fff3ea48ff7  libTrueTypeScaler.dylib (222.1.9) <BF00CE2B-6BC5-3337-8350-A1BAB88A3CE0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff3eab2000 -     0x7fff3eab6ff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <04764FB2-22D8-36F0-9647-2D21562E28D5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff3eb56000 -     0x7fff3eba8ffb  com.apple.HIServices (1.22 - 625) <3C059A55-1409-373E-BF0B-C3299AFABDCF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff3eba9000 -     0x7fff3ebb7fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <8BB267F4-D5AA-3D35-8269-1A3CEA054ACD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff3ebb8000 -     0x7fff3ec04fff  com.apple.print.framework.PrintCore (13.4 - 503.2) <2EA98448-9D6A-3912-9933-F7703CB01B6E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff3ec05000 -     0x7fff3ec3ffff  com.apple.QD (3.12 - 404.2) <525E9518-DFF3-3D8D-BD48-E0D63EEDBD16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff3ec40000 -     0x7fff3ec4cfff  com.apple.speech.synthesis.framework (7.8.1 - 7.8.1) <CD09019C-569B-3A56-B84C-26F2A6223455> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff3ec4d000 -     0x7fff3eedbff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <C7BE1645-BE23-3427-8650-1CEFDAF86710> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff3eedd000 -     0x7fff3eeddfff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <294802B9-E24D-34EB-973F-6D2B8E2E86CB> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff3f200000 -     0x7fff3f59dfff  com.apple.CFNetwork (902.6 - 902.6) <46168F79-CCFA-349A-8508-B8CBCE27D440> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff3f5b2000 -     0x7fff3f5b2fff  com.apple.Carbon (158 - 158) <F8B370D9-2103-3276-821D-ACC756167F86> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff3f5b3000 -     0x7fff3f5b6ffb  com.apple.CommonPanels (1.2.6 - 98) <075486A5-8E39-3F72-BED7-752517379C55> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff3f5b7000 -     0x7fff3f8bcfff  com.apple.HIToolbox (2.1.1 - 911.10) <8D2EBE85-9AF0-38BC-ACD3-1ED978643907> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff3f8bd000 -     0x7fff3f8c0ffb  com.apple.help (1.3.8 - 66) <7F210C1C-D7D3-3C97-A2E4-D3CC35F91807> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff3f8c1000 -     0x7fff3f8c6fff  com.apple.ImageCapture (9.0 - 9.0) <3993E094-AB86-3B22-BC18-4550F23854FF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff3f8c7000 -     0x7fff3f95cffb  com.apple.ink.framework (10.9 - 221) <83976BB8-A423-3AA5-8221-6EB04B3DEF0A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff3f95d000 -     0x7fff3f977ff7  com.apple.openscripting (1.7 - 174) <C282DFBB-4BF2-3222-87E0-0B560D5B4B2F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff3f998000 -     0x7fff3f999fff  com.apple.print.framework.Print (12 - 267) <DFC4CE94-F6E6-3DFA-AB88-A13E4C5A7701> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff3f99a000 -     0x7fff3f99cff7  com.apple.securityhi (9.0 - 55006) <1AB48F32-D1CB-3657-A30C-40A7E718A71D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff3f99d000 -     0x7fff3f9a3fff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <2A07BB54-438B-34C9-8061-45403E197ACA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff3f9a4000 -     0x7fff3fac3fff  com.apple.cloudkit.CloudKit (736.16 - 736.16) <687B78B6-1615-3ED1-9A67-60EBC81DE230> /System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit
    0x7fff3fac4000 -     0x7fff3fac4fff  com.apple.Cocoa (6.11 - 22) <3269BC26-0217-39FE-A600-D702656D838B> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff3fad2000 -     0x7fff3fb8bfff  com.apple.ColorSync (4.13.0 - 3325) <EAD2D314-E810-33FB-B105-BD30ABB912AD> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff3fd18000 -     0x7fff3fdabff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <AF2B41CC-DD7A-34EB-A842-00DC3B8F2E9F> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff3fe12000 -     0x7fff3fe3bffb  com.apple.CoreBluetooth (1.0 - 1) <ED48840B-A80A-32C1-8E4B-DEB7A7CD3C1A> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff3fe3c000 -     0x7fff40192fef  com.apple.CoreData (120 - 851) <7361F2EA-2B7F-3259-909F-287BEB443781> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff40193000 -     0x7fff40276fff  com.apple.CoreDisplay (99.14 - 99.14) <9B2B211D-EC0A-3569-BB37-887768CD6105> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff40277000 -     0x7fff4071afe7  com.apple.CoreFoundation (6.9 - 1455.300) <CB44B892-64CD-3E32-A518-6D40B1A7033F> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff4071c000 -     0x7fff40d2cfef  com.apple.CoreGraphics (2.0 - 1161.21.5) <6451A561-3A83-37FB-AAA7-3FCE6D95C34C> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff40d2e000 -     0x7fff4101dfff  com.apple.CoreImage (13.0.0 - 579.5) <B2B60A80-2E10-3EDF-920C-94288E55AE25> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff4101e000 -     0x7fff41089ff7  com.apple.corelocation (2245.0.41) <6BF57F70-732C-3140-B5A3-466ACF262765> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff412ac000 -     0x7fff413a2ffb  com.apple.CoreMedia (1.0 - 2276.80.4) <67942D16-3658-37FC-B61C-8ED3D4BFBFB9> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff413f2000 -     0x7fff413f2fff  com.apple.CoreServices (822.37 - 822.37) <CE816EF2-2B89-3F54-A5C6-D3080B1EFB00> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff413f3000 -     0x7fff41467ffb  com.apple.AE (735.2 - 735.2) <0938A72B-6A4A-36F1-95B3-5EF6B915CEEE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff41468000 -     0x7fff4173ffff  com.apple.CoreServices.CarbonCore (1178.4.2 - 1178.4.2) <4692EE3A-11FE-31FD-AF5B-30F892E87A05> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff41740000 -     0x7fff41774fff  com.apple.DictionaryServices (1.2 - 284.2) <F1F3EFAE-2562-394D-8FB3-BE22F16CD75A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff41775000 -     0x7fff4177dffb  com.apple.CoreServices.FSEvents (1239.50.2 - 1239.50.2) <FE465894-4235-3CE2-9A97-32D6C6C7D9AD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff4177e000 -     0x7fff4193cff7  com.apple.LaunchServices (822.37 - 822.37) <0DB4679F-AE39-3BF3-B39B-549322E355AF> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff4193d000 -     0x7fff419edfff  com.apple.Metadata (10.7.0 - 1191.8) <F3BD3FD7-208A-31E9-85CD-6E607DDAFEF0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff419ee000 -     0x7fff41a4efff  com.apple.CoreServices.OSServices (822.37 - 822.37) <564DDE70-0250-346B-B5CC-4AFAC11A7373> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff41a4f000 -     0x7fff41abdfff  com.apple.SearchKit (1.4.0 - 1.4.0) <97DD9E7D-3567-382B-ACF7-CE0E4FE78D36> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff41abe000 -     0x7fff41ae2ffb  com.apple.coreservices.SharedFileList (71.21 - 71.21) <88991F51-0A75-34FF-8C91-ED0F3C270B7B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff41d83000 -     0x7fff41ed3fff  com.apple.CoreText (352.0 - 578.23) <10DAF601-85A8-3F9C-8B0B-69DC16B95E47> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff41ed4000 -     0x7fff41f0efff  com.apple.CoreVideo (1.8 - 0.0) <0DD4FFDF-E1F1-39D1-8246-5D0D9869F1EA> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff41f0f000 -     0x7fff41f9aff3  com.apple.framework.CoreWLAN (13.0 - 1350.2) <EC145FBD-F638-38B8-BE94-F892A2F02550> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff42215000 -     0x7fff4221afff  com.apple.DiskArbitration (2.7 - 2.7) <51DC4AED-6F0C-321F-93E3-20EA4341B768> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff423db000 -     0x7fff427a2ffb  com.apple.Foundation (6.9 - 1455.300) <0479E072-1DD0-3881-A9A2-EDAD3EE58C23> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff42813000 -     0x7fff42843ff3  com.apple.GSS (4.0 - 2.0) <7E83A21E-4F90-38F3-9FD3-FAC0E0143243> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff42955000 -     0x7fff42a59ffb  com.apple.Bluetooth (6.0.7 - 6.0.7f22) <08E33A6B-16A7-3E4E-82C9-E1E5A84300D0> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff42ab9000 -     0x7fff42b54fff  com.apple.framework.IOKit (2.0.2 - 1445.71.6) <4B5C715C-6A49-366B-9080-ABADE6A3B3BD> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff42b56000 -     0x7fff42b5dfff  com.apple.IOSurface (211.15 - 211.15) <08DA3232-805F-304B-80DD-C86B49CC4AAD> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff42bb4000 -     0x7fff42d2ffe7  com.apple.ImageIO.framework (3.3.0 - 1739.3.8) <58BD6865-E629-3283-859B-82C4C3A5FF66> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff42d30000 -     0x7fff42d34ffb  libGIF.dylib (1739.3.8) <E3446976-10BF-3B75-9A11-32893368D748> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff42d35000 -     0x7fff42e1cfe7  libJP2.dylib (1739.3.8) <4B440B09-1542-304C-8BE5-EB0F9370046C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff42e1d000 -     0x7fff42e40ff7  libJPEG.dylib (1739.3.8) <F6BCF3DA-6F0B-35A8-982C-BEFD2DD6DBFE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff4312f000 -     0x7fff43155feb  libPng.dylib (1739.3.8) <25C5D4B1-3715-3DF5-BE4B-C71089ADBBFE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff43156000 -     0x7fff43158ffb  libRadiance.dylib (1739.3.8) <5134034F-A7BC-3749-A141-92BC89579AF6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff43159000 -     0x7fff431a7fe7  libTIFF.dylib (1739.3.8) <91F6CDBD-C4A0-3614-81DC-B9A9E3838CF0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff43363000 -     0x7fff44049fff  com.apple.JavaScriptCore (13605 - 13605.3.8) <FCD40D3C-87D5-3738-A19F-F5DB84A643B7> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff44061000 -     0x7fff4407aff7  com.apple.Kerberos (3.0 - 1) <C7CDC1E0-011B-3220-847D-1AC3DA6D5522> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff44339000 -     0x7fff44340fff  com.apple.MediaAccessibility (1.0 - 114) <00F21329-1163-3283-A882-A5DD7A12D353> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
    0x7fff443f0000 -     0x7fff44a5aff7  com.apple.MediaToolbox (1.0 - 2276.80.4) <FA444376-E5AF-36AB-BE1D-76ECE4D72049> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff44a5c000 -     0x7fff44addfff  com.apple.Metal (125.30 - 125.30) <67EDA241-80B1-3C67-BB2B-FF83E49FEF8D> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff44afa000 -     0x7fff44b15fff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <8DED0F0C-4A10-36A3-A3E2-7D3CF429ACE1> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff44b16000 -     0x7fff44b85fef  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <48F4A97F-143A-3918-AB92-6733E258E25A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff44b86000 -     0x7fff44baafff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <CD443ADC-07FE-3603-B0C9-60C2AF3616FF> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff44bab000 -     0x7fff44c92ff7  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <40EB0BAE-6DDE-3334-A28C-529AE4C6716A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff44c93000 -     0x7fff44c93ff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <A111E862-43E5-3247-9E98-0A40DC34AD9B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff45c92000 -     0x7fff45c9effb  com.apple.NetFS (6.0 - 4.0) <02E09301-324F-3542-875D-B87B144635C8> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff48a90000 -     0x7fff48aeaff7  com.apple.opencl (2.8.24 - 2.8.24) <429B5283-276D-372D-BB0E-EEBE1408C393> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff48aeb000 -     0x7fff48b07ffb  com.apple.CFOpenDirectory (10.13 - 207.50.1) <E9AD4934-5DE3-3DD0-9D7B-9D288D829F15> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff48b08000 -     0x7fff48b13fff  com.apple.OpenDirectory (10.13 - 207.50.1) <8B54C486-14C9-3FEF-97B8-F4D6F59F75CF> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff49c92000 -     0x7fff49c94fff  libCVMSPluginSupport.dylib (16.7.4) <3E26CF2B-5074-3321-AD9E-6A667D61AA35> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff49c95000 -     0x7fff49c9affb  libCoreFSCache.dylib (162.12) <D12E1D0E-C0E5-329E-99B4-AB152C9ABBE3> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff49c9b000 -     0x7fff49c9ffff  libCoreVMClient.dylib (162.12) <39951906-8566-3F9D-9EA8-EBD6084DCF73> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff49ca0000 -     0x7fff49ca9ff3  libGFXShared.dylib (16.7.4) <81A7875B-103D-3C82-B25C-DE24E57E5C8B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff49caa000 -     0x7fff49cb5fff  libGL.dylib (16.7.4) <2BB333D3-5C61-33DF-8545-06DF2D08B83D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff49cb6000 -     0x7fff49cf1fe7  libGLImage.dylib (16.7.4) <4DA003CE-0B74-3FE4-808C-B2FBCE517EB4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff49e60000 -     0x7fff49e9effb  libGLU.dylib (16.7.4) <BCB09CD8-EB0E-38FA-8B5A-9E29532EE364> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff4a816000 -     0x7fff4a825ff3  com.apple.opengl (16.7.4 - 16.7.4) <77A788F3-8F0C-305C-AEB9-FF258676C599> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff4b679000 -     0x7fff4b8c5ff7  com.apple.QuartzCore (1.11 - 584.64.2) <FD9A3180-479E-3DAC-9CF0-0D214C7E46A7> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff4c0fd000 -     0x7fff4c428fff  com.apple.security (7.0 - 58286.70.19) <E118FC23-2E20-3999-826B-58488049A277> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff4c429000 -     0x7fff4c4b5ff7  com.apple.securityfoundation (6.0 - 55185.50.5) <3D9AD4EF-439C-3AE1-9332-AD291CF96C64> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff4c4e7000 -     0x7fff4c4ebffb  com.apple.xpc.ServiceManagement (1.0 - 1) <3FCAF325-40C8-3148-9E49-E555F95B2946> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff4c890000 -     0x7fff4c900ff3  com.apple.SystemConfiguration (1.17 - 1.17) <41D509AB-AED3-30FF-BB00-615BB5A8AC00> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff4cab5000 -     0x7fff4ce30fff  com.apple.VideoToolbox (1.0 - 2276.80.4) <1C94A509-0372-3B58-94BC-4488C042BD79> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff4d0d8000 -     0x7fff4d637feb  libwebrtc.dylib (7605.3.8) <72740A61-2531-3D72-ACF4-4B85B96D8C2A> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/Frameworks/libwebrtc.dylib
    0x7fff4d638000 -     0x7fff4ed0bff7  com.apple.WebCore (13605 - 13605.3.8) <72D9EE25-F9A2-3D9E-AF94-3AC54CFBE4FE> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff4ed0c000 -     0x7fff4eef3ff7  com.apple.WebKitLegacy (13605 - 13605.3.8) <52D6E336-949A-30B6-B0A3-CCE25672C050> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebKitLegacy.framework/Versions/A/WebKitLegacy
    0x7fff4eef4000 -     0x7fff4f38dfff  com.apple.WebKit (13605 - 13605.3.8) <1DDB40C0-5FB6-3495-B4CD-52D32251F88D> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
    0x7fff4f7fd000 -     0x7fff4f890ff3  com.apple.APFS (1.0 - 1) <70034B32-9347-30FB-9DDE-95061F686613> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff504bd000 -     0x7fff504e5fff  com.apple.framework.Apple80211 (13.0 - 1370.4) <C296CDDB-0A79-3D6B-898A-0FBA1892F5AC> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff504e7000 -     0x7fff504f6fef  com.apple.AppleFSCompression (96.60.1 - 1.0) <CBE1A092-CE90-36B9-AAA6-0BE2E7921504> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff505f5000 -     0x7fff50600ff7  com.apple.AppleIDAuthSupport (1.0 - 1) <924EA55F-1C87-347F-9212-F79EA2B2C84C> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
    0x7fff5063a000 -     0x7fff50682ff3  com.apple.AppleJPEG (1.0 - 1) <15558577-08E3-3087-86A9-8B6247978BCE> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff506bd000 -     0x7fff506e5fff  com.apple.applesauce (1.0 - ???) <9CE4CAE2-30B9-3DF6-9BC0-33D532D7B937> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fff507b2000 -     0x7fff50802ff7  com.apple.AppleVAFramework (5.0.41 - 5.0.41) <C82921AA-1537-3736-BC16-5CABB3EF0100> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff50b38000 -     0x7fff50dd1ffb  com.apple.AuthKit (1.0 - 1) <C3087797-E472-300E-8B4A-448857ACE8E7> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
    0x7fff50f08000 -     0x7fff50f0fff7  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <B2A1EEDF-490A-38E2-A896-41057C0417BF> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff50f10000 -     0x7fff50f97ff7  com.apple.backup.framework (1.9.6 - 1.9.6) <0A54D219-E71B-3BC6-8DFC-11ED47E431BE> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff51d7b000 -     0x7fff51dcaff3  com.apple.ChunkingLibrary (189 - 189) <B3E4AA69-99C8-342F-B37E-C1921C72DBD2> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff51dd1000 -     0x7fff51e62ff7  com.apple.CloudDocs (1.0 - 575.14) <CD0E9512-7DF8-3028-9DB3-9ADA04887CD0> /System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
    0x7fff52953000 -     0x7fff5295cff3  com.apple.CommonAuth (4.0 - 2.0) <21AF4AC2-E650-35F9-AB33-3EBA2769FBC0> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff52c98000 -     0x7fff530a0fff  com.apple.CoreAUC (259.0.0 - 259.0.0) <EF95ED0E-F4F1-3969-89BB-CE8CDD74C29F> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff530a1000 -     0x7fff530d1ff7  com.apple.CoreAVCHD (5.9.0 - 5900.4.1) <6AC79B1F-0A12-34A4-BC0D-5A6A65ABABE0> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff53470000 -     0x7fff53480ff7  com.apple.CoreEmoji (1.0 - 69.3) <DCCF04BB-DA33-3DC0-B7C2-1D34870C0C0A> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff538e3000 -     0x7fff53940ff7  com.apple.CoreNLP (1.0 - 130.5.4) <6FB50324-9C41-37A9-967D-CD20DD7B068A> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff53ac9000 -     0x7fff53aceff7  com.apple.CoreOptimization (1.0 - 1) <EBA89F7C-A8D3-355D-82A4-F2C9796B02B6> /System/Library/PrivateFrameworks/CoreOptimization.framework/Versions/A/CoreOptimization
    0x7fff53c14000 -     0x7fff53c1cff3  com.apple.CorePhoneNumbers (1.0 - 1) <3B388768-5CDB-341A-BCE2-4047EAD009EA> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
    0x7fff53c1d000 -     0x7fff53c79fff  com.apple.CorePrediction (1.0 - 1) <2BD07E9C-5F35-3177-B084-D09AF42E7818> /System/Library/PrivateFrameworks/CorePrediction.framework/Versions/A/CorePrediction
    0x7fff53da7000 -     0x7fff53dd8ff3  com.apple.CoreServicesInternal (309.1 - 309.1) <9A9DE5A0-3912-3311-A351-2B7B5C35D1F0> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff54152000 -     0x7fff541e3fff  com.apple.CoreSymbolication (9.3 - 64026.2) <30652FA5-C731-3A22-864D-DF6D9C77CD4C> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff54266000 -     0x7fff5439bfff  com.apple.coreui (2.1 - 494.1) <5B4F3E9C-A4EF-3908-A035-59B8631C3685> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff5439c000 -     0x7fff544cdfff  com.apple.CoreUtils (5.6 - 560.11) <2C5A0610-1F08-3603-8692-EE03E62EE622> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff54522000 -     0x7fff54586fff  com.apple.framework.CoreWiFi (13.0 - 1350.2) <500CC54F-A6CB-3D36-9BB1-C9C9F6A6E414> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff54587000 -     0x7fff54597ff7  com.apple.CrashReporterSupport (10.13 - 1) <1ADEC140-4838-3976-A14B-6268C5251481> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff54616000 -     0x7fff54625ff7  com.apple.framework.DFRFoundation (1.0 - 191.7) <F7AB1B29-A4B0-3938-AFDC-DAA204929404> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff54628000 -     0x7fff5462cffb  com.apple.DSExternalDisplay (3.1 - 380) <13AA3B17-E649-3B7B-B09D-9AE7C4A60887> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff546ae000 -     0x7fff54724fff  com.apple.datadetectorscore (7.0 - 590.3) <E645FBF0-B47D-3394-84DF-792B85E94CB3> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff54772000 -     0x7fff547b2ff7  com.apple.DebugSymbols (181.0 - 181.0) <702DB951-F5A6-3155-9D84-BBA9A4B4E1BD> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff547b3000 -     0x7fff548e2fff  com.apple.desktopservices (1.12.5 - 1.12.5) <96BB57E2-3359-3920-AA7C-BF03C2225485> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff556f7000 -     0x7fff55b25fff  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <06065DA3-4091-3682-A308-BF3F2E3E4AF8> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff55b58000 -     0x7fff55be1ff3  com.apple.FileProvider (125.15 - 125.15) <89C9975D-83FA-3E6E-A662-276D6030570F> /System/Library/PrivateFrameworks/FileProvider.framework/Versions/A/FileProvider
    0x7fff57781000 -     0x7fff57781fff  libmetal_timestamp.dylib (802.4.8) <7E1B5ECC-7504-3B86-B3D9-5D8CDF88FCFA> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libraries/libmetal_timestamp.dylib
    0x7fff58ded000 -     0x7fff58df2fff  com.apple.GPUWrangler (3.20.18 - 3.20.18) <B54A9063-01EC-3D2C-8924-86A1F315DEA2> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
    0x7fff591a6000 -     0x7fff591cbff3  com.apple.GenerationalStorage (2.0 - 285.3) <0C898B63-E9A3-3D93-BB3D-CD54BFE51DED> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff591e3000 -     0x7fff59b25ff7  com.apple.GeoServices (1.0 - 1363.24.8.15.58) <9686AD86-FE07-3604-B91C-D372FF641E8E> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fff59b68000 -     0x7fff59b77fff  com.apple.GraphVisualizer (1.0 - 5) <EB42FFAD-2BCA-3DE2-B40E-AFDE6E7FAA4D> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fff59bfa000 -     0x7fff59c6efff  com.apple.Heimdal (4.0 - 2.0) <FF7BC1AE-1BA6-3150-A7CC-B9E0AD5EBE7F> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff59c6f000 -     0x7fff59c9dfff  com.apple.HelpData (2.3 - 167.2) <24A1E5D9-2801-36F4-9361-692467E5B615> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
    0x7fff5a581000 -     0x7fff5a588ff7  com.apple.IOAccelerator (378.28 - 378.28) <F109E4CB-49D9-37FB-974A-8A3E9E8A61DA> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff5a58c000 -     0x7fff5a5a3fff  com.apple.IOPresentment (1.0 - 35.1) <AC89202B-8433-3B62-A7BE-467D1905F6FB> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff5a96e000 -     0x7fff5a994ffb  com.apple.IconServices (97.6 - 97.6) <7913A453-8D29-31DC-ADDB-7CEC068C9B86> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff5ac19000 -     0x7fff5ac2cff3  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <B999BEF6-F3E7-30EE-9177-FBC8E826659D> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
    0x7fff5ac2d000 -     0x7fff5ad22ff7  com.apple.LanguageModeling (1.0 - 159.5.3) <FAA236D6-CFB8-37D2-B635-B324E0719E32> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff5ad23000 -     0x7fff5ad65fff  com.apple.Lexicon-framework (1.0 - 33.5) <F8DD2D09-5CEE-3741-93CF-223FC61FCCA4> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff5ad69000 -     0x7fff5ad70ff7  com.apple.LinguisticData (1.0 - 238.3) <6F2ED02A-2120-3ABA-8EC1-314E4FFE77F3> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff5b571000 -     0x7fff5b574fff  com.apple.Mangrove (1.0 - 1) <471F4581-5235-3381-B16B-CE92ED6CF086> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fff5ba84000 -     0x7fff5baedff7  com.apple.gpusw.MetalTools (1.0 - 1) <F2A47319-0430-3BB5-943E-651A40C127A9> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fff5baf6000 -     0x7fff5bb0dff7  com.apple.MobileAssets (1.0 - 437.60.1) <94912D67-E290-3205-B919-C70C0A8D7FCF> /System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
    0x7fff5bc7d000 -     0x7fff5bc96fff  com.apple.MobileKeyBag (2.0 - 1.0) <9EA31672-3B83-3ABF-B2D5-8584E159051E> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
    0x7fff5bd22000 -     0x7fff5bd4cffb  com.apple.MultitouchSupport.framework (1614.1 - 1614.1) <A376F2FB-64AE-3B35-88B0-7D2BB4D1CB7C> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff5bfb3000 -     0x7fff5bfbefff  com.apple.NetAuth (6.2 - 6.2) <85C5D94D-C67E-36DC-B0EA-02F53AC4FCD3> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff5d85a000 -     0x7fff5d86affb  com.apple.PerformanceAnalysis (1.194 - 194) <B6934994-BD69-36F9-914E-6BBDCD797612> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff5f2b5000 -     0x7fff5f2dafff  com.apple.pluginkit.framework (1.0 - 1) <3C6FA287-D379-3BD3-80C0-678B1BB0D4DA> /System/Library/PrivateFrameworks/PlugInKit.framework/Versions/A/PlugInKit
    0x7fff5f5d1000 -     0x7fff5f628fff  com.apple.ProtectedCloudStorage (1.0 - 1) <29C0FB61-2227-3648-AD01-502B1DDA63ED> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fff5f629000 -     0x7fff5f647fff  com.apple.ProtocolBuffer (1 - 260) <195906B1-1DB1-3AD2-B2F7-87B867C27F40> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff5f81e000 -     0x7fff5f841ffb  com.apple.RemoteViewServices (2.0 - 125) <695CBF89-C15C-3E4C-8045-B46DCA64E3FB> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff61167000 -     0x7fff6127cff7  com.apple.Sharing (1050.22.9 - 1050.22.9) <CAB71093-B187-363E-BBAA-B0D23D7642AA> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff6127d000 -     0x7fff6129cff7  com.apple.shortcut (2.16 - 99) <A09B7F96-21BE-3C5D-AA59-B657F68D84BB> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
    0x7fff612a7000 -     0x7fff612a8ff7  com.apple.performance.SignpostNotification (1.2.6 - 2.6) <E77879A4-B040-3BE0-86F5-98173A4100AD> /System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/A/SignpostNotification
    0x7fff62006000 -     0x7fff622a3fff  com.apple.SkyLight (1.600.0 - 312.103.12) <A65B547C-B7CA-3E33-A0C5-58AB436A8467> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff62a6c000 -     0x7fff62a79fff  com.apple.SpeechRecognitionCore (4.6.1 - 4.6.1) <90CDCEAD-5A65-3C35-9370-2B306895E97C> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff62b2b000 -     0x7fff62d69ff3  com.apple.spotlight.index (10.7.0 - 1191.8) <E270F050-B6B4-3378-AC2B-A1FE7D6BAE95> /System/Library/PrivateFrameworks/SpotlightIndex.framework/Versions/A/SpotlightIndex
    0x7fff62f26000 -     0x7fff62f4dfff  com.apple.StreamingZip (1.0 - 1) <B5C3D9D6-B1DC-33E5-B7D2-ADAF3E0CA30E> /System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
    0x7fff6361f000 -     0x7fff636a8fc7  com.apple.Symbolication (9.3 - 64033) <F576D527-4CB1-34A5-B15E-1130833EEDAB> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff636b9000 -     0x7fff636c1ffb  com.apple.SymptomDiagnosticReporter (1.0 - 820.60.3) <F17BD2C2-43B1-32AD-B264-5B9405F60776> /System/Library/PrivateFrameworks/SymptomDiagnosticReporter.framework/Versions/A/SymptomDiagnosticReporter
    0x7fff63c19000 -     0x7fff63c21ff7  com.apple.TCC (1.0 - 1) <9D5466C6-A8B6-3C24-A791-6506B81D9998> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff63e2e000 -     0x7fff63eebff7  com.apple.TextureIO (3.7 - 3.7) <32C460CD-E93D-3FA5-A4AE-CA648722F5FE> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff63f9c000 -     0x7fff6414cfff  com.apple.UIFoundation (1.0 - 547.9) <D0994333-5EB4-3415-8D18-2A0487AE91E0> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff64e21000 -     0x7fff64ef0ff7  com.apple.ViewBridge (343.2 - 343.2) <0A295791-B763-3E58-A9DD-8E4F40E815C9> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
    0x7fff658c8000 -     0x7fff658caffb  com.apple.loginsupport (1.0 - 1) <E273A65A-6379-3787-B119-BC6ED94D4A81> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff658cb000 -     0x7fff658e0fff  com.apple.login (3.0 - 3.0) <73202649-0081-3B4B-AD90-226C4F69A705> /System/Library/PrivateFrameworks/login.framework/Versions/A/login
    0x7fff65a31000 -     0x7fff65a64ff7  libclosured.dylib (551.5) <112BC241-6626-3848-8DD8-B34B5B6F7ABC> /usr/lib/closure/libclosured.dylib
    0x7fff65b1e000 -     0x7fff65b57ff7  libCRFSuite.dylib (41) <14B00FCF-4C67-3736-95B5-76FEA6E4972C> /usr/lib/libCRFSuite.dylib
    0x7fff65b58000 -     0x7fff65b63fff  libChineseTokenizer.dylib (28) <2237A259-0E59-3DD0-BADC-281C361FAB70> /usr/lib/libChineseTokenizer.dylib
    0x7fff65bf5000 -     0x7fff65bf6ff3  libDiagnosticMessagesClient.dylib (104) <3F855622-352B-3EA8-B7C8-94D1DB48C080> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff65c2d000 -     0x7fff65df7ff3  libFosl_dynamic.dylib (17.8) <1A2A9D53-129E-3F7D-AE23-1D6E6D9EA017> /usr/lib/libFosl_dynamic.dylib
    0x7fff65e2f000 -     0x7fff65e2ffff  libOpenScriptingUtil.dylib (174) <AC38B2C3-5A37-30EB-A246-CEFABD3DD4E7> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff65f66000 -     0x7fff65f6affb  libScreenReader.dylib (562.18.5) <FFB20E40-7669-30F6-8577-B74E18076376> /usr/lib/libScreenReader.dylib
    0x7fff65f6b000 -     0x7fff65f6cffb  libSystem.B.dylib (1252.50.4) <5A02016C-8F9D-3F47-8C39-AD2CD4F9F11D> /usr/lib/libSystem.B.dylib
    0x7fff65feb000 -     0x7fff65fecfff  libThaiTokenizer.dylib (2.2) <C62E7A0C-338D-31B3-8DC1-FEB8ADB23365> /usr/lib/libThaiTokenizer.dylib
    0x7fff65fff000 -     0x7fff65ffffff  libapple_crypto.dylib (109.50.15) <A8DEA8E9-5769-3C78-824D-969A98B94086> /usr/lib/libapple_crypto.dylib
    0x7fff66000000 -     0x7fff66016ff7  libapple_nghttp2.dylib (1.24) <24338D88-5D73-3165-9CFB-5A92734C9040> /usr/lib/libapple_nghttp2.dylib
    0x7fff66017000 -     0x7fff66041ff3  libarchive.2.dylib (54) <D2B6AD30-18CB-3E3C-ABBF-A0745654350F> /usr/lib/libarchive.2.dylib
    0x7fff66042000 -     0x7fff660c3fdf  libate.dylib (1.13.1) <77603BB8-681D-32A6-966E-4F92B9165447> /usr/lib/libate.dylib
    0x7fff660c7000 -     0x7fff660c7ff3  libauto.dylib (187) <92E693DF-D74D-39A0-99AB-8A9F6FFEBA18> /usr/lib/libauto.dylib
    0x7fff660c8000 -     0x7fff66181ffb  libboringssl.dylib (109.50.15) <FC25FE02-6AA8-3F0B-9EF3-56A455C08C0F> /usr/lib/libboringssl.dylib
    0x7fff66182000 -     0x7fff66192ff3  libbsm.0.dylib (39) <18D57879-A717-3466-9637-1704EE59A32A> /usr/lib/libbsm.0.dylib
    0x7fff66193000 -     0x7fff661a0ffb  libbz2.1.0.dylib (38) <0B4321CD-3D6F-3095-A12E-27F66B4321AD> /usr/lib/libbz2.1.0.dylib
    0x7fff661a1000 -     0x7fff661f7fff  libc++.1.dylib (400.9) <142D6292-F30F-3949-9F37-3C97A579F540> /usr/lib/libc++.1.dylib
    0x7fff661f8000 -     0x7fff6621cff7  libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
    0x7fff6621e000 -     0x7fff6622efff  libcmph.dylib (6) <890DEC4C-4334-393C-8B56-7C8560BBED9D> /usr/lib/libcmph.dylib
    0x7fff6622f000 -     0x7fff66246fcf  libcompression.dylib (47.60.2) <543F07BF-2F2F-37D5-9866-E84BF659885B> /usr/lib/libcompression.dylib
    0x7fff664f1000 -     0x7fff66509ff7  libcoretls.dylib (155.50.1) <087E9F90-21E5-376D-9956-C4E346409682> /usr/lib/libcoretls.dylib
    0x7fff6650a000 -     0x7fff6650bff3  libcoretls_cfhelpers.dylib (155.50.1) <78CCDD10-7D71-365E-A0A5-8524ED5F5BF9> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff669dc000 -     0x7fff66a31ff3  libcups.2.dylib (462.2.10) <590D6ACC-68A0-371E-8646-FC59F814534B> /usr/lib/libcups.2.dylib
    0x7fff66b71000 -     0x7fff66b71fff  libenergytrace.dylib (16) <1F11D488-07C6-3D18-BEF2-0B28A992D761> /usr/lib/libenergytrace.dylib
    0x7fff66b72000 -     0x7fff66b8bff3  libexpat.1.dylib (16.1.1.1) <BF67821E-1B05-3E26-9EE9-4366CC0DAD03> /usr/lib/libexpat.1.dylib
    0x7fff66ba3000 -     0x7fff66ba7ff7  libgermantok.dylib (17) <DABC5487-8699-3254-9CA2-D743A9F24413> /usr/lib/libgermantok.dylib
    0x7fff66ba8000 -     0x7fff66badff3  libheimdal-asn1.dylib (520.50.9) <EF65C17E-31CD-31DC-876C-BF3EF393099C> /usr/lib/libheimdal-asn1.dylib
    0x7fff66bd9000 -     0x7fff66ccaff7  libiconv.2.dylib (51.50.1) <7965B866-C75A-3450-9891-0500349F7090> /usr/lib/libiconv.2.dylib
    0x7fff66ccb000 -     0x7fff66ef2ffb  libicucore.A.dylib (59181.0.1) <17767680-09DF-3954-AB6C-B13B41F92A2E> /usr/lib/libicucore.A.dylib
    0x7fff66f3f000 -     0x7fff66f40fff  liblangid.dylib (128) <C54A2059-A4BE-364B-94C2-581C548459BC> /usr/lib/liblangid.dylib
    0x7fff66f41000 -     0x7fff66f5affb  liblzma.5.dylib (10) <60BEAB81-CE65-3479-90CC-03325AACEC95> /usr/lib/liblzma.5.dylib
    0x7fff66f5b000 -     0x7fff66f71ff7  libmarisa.dylib (9) <47540053-02CF-35F8-A75E-074DB3D51812> /usr/lib/libmarisa.dylib
    0x7fff66f72000 -     0x7fff67021fff  libmecab.1.0.0.dylib (779.7.6) <9003A13E-FD53-3428-9927-E40575C764C6> /usr/lib/libmecab.1.0.0.dylib
    0x7fff67022000 -     0x7fff6724aff7  libmecabra.dylib (779.7.6) <B2ACB6A9-91AE-364B-9418-8EB938BF82B6> /usr/lib/libmecabra.dylib
    0x7fff6724f000 -     0x7fff6727fffb  libncurses.5.4.dylib (53) <79B40A4A-46A8-3276-AD05-0B834B5A81E1> /usr/lib/libncurses.5.4.dylib
    0x7fff67422000 -     0x7fff6759dfff  libnetwork.dylib (1229.70.2) <0596A03E-C984-3FE6-B88E-63D5F96EC49A> /usr/lib/libnetwork.dylib
    0x7fff67624000 -     0x7fff67a127e7  libobjc.A.dylib (723) <843EFB54-EFCC-3A7C-BE11-092B6A556262> /usr/lib/libobjc.A.dylib
    0x7fff67a25000 -     0x7fff67a29fff  libpam.2.dylib (22) <E5840D63-8506-301A-9182-5000031854E1> /usr/lib/libpam.2.dylib
    0x7fff67a2c000 -     0x7fff67a64ff7  libpcap.A.dylib (79.20.3) <6A9D27FA-2780-3E96-8B2E-645638AC13AC> /usr/lib/libpcap.A.dylib
    0x7fff67ae3000 -     0x7fff67affffb  libresolv.9.dylib (65.1) <D9BB6307-71E4-3A94-A745-1FCA114C6894> /usr/lib/libresolv.9.dylib
    0x7fff67b4e000 -     0x7fff67b4fff3  libspindump.dylib (252) <7BE3801C-F1F5-3F54-AB70-9842F8EF3F09> /usr/lib/libspindump.dylib
    0x7fff67b50000 -     0x7fff67ce3ff7  libsqlite3.dylib (274.8.1) <FCAD6A57-829E-3701-B16E-1833D620E0E8> /usr/lib/libsqlite3.dylib
    0x7fff67eb7000 -     0x7fff67f17ff3  libusrtcp.dylib (1229.70.2) <1E065228-D0E3-3808-9405-894056C6BEC0> /usr/lib/libusrtcp.dylib
    0x7fff67f18000 -     0x7fff67f1bffb  libutil.dylib (51.20.1) <A50E15F1-20A2-3EA7-A8CE-A43662E18587> /usr/lib/libutil.dylib
    0x7fff67f1c000 -     0x7fff67f29ff3  libxar.1.dylib (417.1) <351781D5-3CCF-320F-BB5A-4DFCC1CCD31D> /usr/lib/libxar.1.dylib
    0x7fff67f2d000 -     0x7fff68014ffb  libxml2.2.dylib (31.20) <286F8531-7001-3989-9640-284443355433> /usr/lib/libxml2.2.dylib
    0x7fff68015000 -     0x7fff6803dfff  libxslt.1.dylib (15.16) <57D56366-1E7B-356C-B2B8-F4688FF666E6> /usr/lib/libxslt.1.dylib
    0x7fff6803e000 -     0x7fff68050ffb  libz.1.dylib (70) <47278BDC-596E-3037-B8DA-05FE9D5DBEF6> /usr/lib/libz.1.dylib
    0x7fff680ec000 -     0x7fff680f0ff7  libcache.dylib (80) <096D3699-58D2-3D23-9512-BC88DAE7B16C> /usr/lib/system/libcache.dylib
    0x7fff680f1000 -     0x7fff680fbff3  libcommonCrypto.dylib (60118.50.1) <B4E77BD4-A809-37E1-8A79-25955E0F5D9C> /usr/lib/system/libcommonCrypto.dylib
    0x7fff680fc000 -     0x7fff68103fff  libcompiler_rt.dylib (62) <4CEED002-D00B-35F8-B563-0546A5F71A43> /usr/lib/system/libcompiler_rt.dylib
    0x7fff68104000 -     0x7fff6810dffb  libcopyfile.dylib (146.50.5) <F7A7999F-9509-3C67-8EE9-95BEE6772676> /usr/lib/system/libcopyfile.dylib
    0x7fff6810e000 -     0x7fff68193ffb  libcorecrypto.dylib (562.70.3) <9C6E5CC2-272B-3740-AEDB-9EBEC98EC7F9> /usr/lib/system/libcorecrypto.dylib
    0x7fff6821b000 -     0x7fff68254ff7  libdispatch.dylib (913.60.3) <285526B6-A2A6-316D-A1CC-37803B71E203> /usr/lib/system/libdispatch.dylib
    0x7fff68255000 -     0x7fff68272ff7  libdyld.dylib (551.5) <49ABA86D-DD48-3133-9B14-B9A564EEBC66> /usr/lib/system/libdyld.dylib
    0x7fff68273000 -     0x7fff68273ffb  libkeymgr.dylib (28) <7CC7B5E1-AB7F-3495-A26A-396461BCB66B> /usr/lib/system/libkeymgr.dylib
    0x7fff68274000 -     0x7fff68280ff3  libkxld.dylib (4570.71.82.6) <DE4A10C7-5933-312C-8CE5-1D4DC395127A> /usr/lib/system/libkxld.dylib
    0x7fff68281000 -     0x7fff68281ff7  liblaunch.dylib (1205.70.16) <265EE555-E988-3EE5-A39E-028FB3A5FE11> /usr/lib/system/liblaunch.dylib
    0x7fff68282000 -     0x7fff68286ffb  libmacho.dylib (906) <F5F16E2F-F961-3FF4-B02F-69BBDB57B8DC> /usr/lib/system/libmacho.dylib
    0x7fff68287000 -     0x7fff68289fff  libquarantine.dylib (86.70.1) <262CECFE-A493-3EC6-8608-CEA93757265E> /usr/lib/system/libquarantine.dylib
    0x7fff6828a000 -     0x7fff6828bff3  libremovefile.dylib (45) <EA24BFB6-24B7-3841-8AAC-FAF400910706> /usr/lib/system/libremovefile.dylib
    0x7fff6828c000 -     0x7fff682a3fff  libsystem_asl.dylib (356.70.1) <9481D82D-CFB7-3032-A07F-88F7F59CAC2C> /usr/lib/system/libsystem_asl.dylib
    0x7fff682a4000 -     0x7fff682a4fff  libsystem_blocks.dylib (67) <FA2C3663-9DBB-3AFB-80A3-E77BE0816AD0> /usr/lib/system/libsystem_blocks.dylib
    0x7fff682a5000 -     0x7fff6832eff7  libsystem_c.dylib (1244.50.9) <25DD83D8-80CA-3DFF-8626-FE704911F19C> /usr/lib/system/libsystem_c.dylib
    0x7fff6832f000 -     0x7fff68332ffb  libsystem_configuration.dylib (963.50.9) <61B26E1D-FEFF-38C6-AE0E-A6DD90145EB2> /usr/lib/system/libsystem_configuration.dylib
    0x7fff68333000 -     0x7fff68336ffb  libsystem_coreservices.dylib (51) <E8FA663F-1B0F-3B12-8F97-31A46E6B4D68> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff68337000 -     0x7fff68338fff  libsystem_darwin.dylib (1244.50.9) <6195EEA1-83A7-35F0-8147-5AB031020CD0> /usr/lib/system/libsystem_darwin.dylib
    0x7fff68339000 -     0x7fff6833fffb  libsystem_dnssd.dylib (878.70.4) <0D2C9583-5D28-375B-AEB4-F66F18C78322> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff68340000 -     0x7fff68389ff7  libsystem_info.dylib (517.30.1) <9C2C96F3-638B-34E7-A2BD-24C643EAF957> /usr/lib/system/libsystem_info.dylib
    0x7fff6838a000 -     0x7fff683b0ff7  libsystem_kernel.dylib (4570.71.82.6) <C33FD7D5-EA63-3A13-AF0C-83E884CE3FAE> /usr/lib/system/libsystem_kernel.dylib
    0x7fff683b1000 -     0x7fff683fcfcb  libsystem_m.dylib (3147.50.1) <B3172533-77D2-3416-8487-4A505198E9E1> /usr/lib/system/libsystem_m.dylib
    0x7fff683fd000 -     0x7fff6841cff7  libsystem_malloc.dylib (140.50.7) <821E16C8-7A7E-3269-9167-10F4F413BF93> /usr/lib/system/libsystem_malloc.dylib
    0x7fff6841d000 -     0x7fff6854dff7  libsystem_network.dylib (1229.70.2) <07BFD80A-E7EB-3DEB-B765-5E1659453114> /usr/lib/system/libsystem_network.dylib
    0x7fff6854e000 -     0x7fff68558ffb  libsystem_networkextension.dylib (767.70.2) <A90BAFFD-AC3D-3078-90B2-71463DBFD4A5> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff68559000 -     0x7fff68562ff3  libsystem_notify.dylib (172) <738B3BB0-4F20-3446-A3B6-095D796E5903> /usr/lib/system/libsystem_notify.dylib
    0x7fff68563000 -     0x7fff6856aff7  libsystem_platform.dylib (161.50.1) <90A2A62F-8690-3FA7-A4D0-9085BF2FA44A> /usr/lib/system/libsystem_platform.dylib
    0x7fff6856b000 -     0x7fff68576fff  libsystem_pthread.dylib (301.50.1) <283E64A7-A2B2-3212-95BA-4D21F9AE36CF> /usr/lib/system/libsystem_pthread.dylib
    0x7fff68577000 -     0x7fff6857afff  libsystem_sandbox.dylib (765.70.2) <C29E1B7A-F39B-344E-98F7-8FB32B10AE0A> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff6857b000 -     0x7fff6857cff3  libsystem_secinit.dylib (30) <4E84DF62-57B5-36F9-819F-3C1E7FEDA856> /usr/lib/system/libsystem_secinit.dylib
    0x7fff6857d000 -     0x7fff68584ff7  libsystem_symptoms.dylib (820.60.3) <A45B4D84-2C69-3F19-83C2-2F1EEA73A7B5> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff68585000 -     0x7fff68599ff7  libsystem_trace.dylib (829.70.2) <4C4E5351-E370-3226-9B30-61E250DE3B2E> /usr/lib/system/libsystem_trace.dylib
    0x7fff6859b000 -     0x7fff685a0ff7  libunwind.dylib (35.3) <BAE12DA3-CF33-32AD-86B0-CCD6705ADFAA> /usr/lib/system/libunwind.dylib
    0x7fff685a1000 -     0x7fff685cefff  libxpc.dylib (1205.70.16) <26D99819-B813-320E-9E8F-9D57AD2DA63B> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 20
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 43814
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=486.4M resident=0K(0%) swapped_out_or_unallocated=486.4M(100%)
Writable regions: Total=531.9M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=531.9M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework               384K        4 
Activity Tracing                   256K        2 
CG backing stores                 40.9M        5 
CoreGraphics                         8K        2 
CoreImage                           28K        4 
CoreUI image data                  192K        3 
CoreUI image file                  300K        5 
Foundation                           4K        2 
Image IO                            12K        4 
Kernel Alloc Once                    8K        2 
MALLOC                           477.2M       85 
MALLOC guard page                   48K       13 
Memory Tag 242                      12K        2 
Memory Tag 251                      16K        2 
STACK GUARD                         16K        5 
Stack                             11.6M        7 
Stack Guard                       54.4M        2 
VM_ALLOCATE                         80K       13 
__DATA                            43.1M      459 
__FONT_DATA                          4K        2 
__LINKEDIT                       212.0M      180 
__TEXT                           274.3M      447 
__UNICODE                          560K        2 
mapped file                      952.1M      249 
shared memory                      652K       18 
===========                     =======  ======= 
TOTAL                              2.0G     1494 

Model: MacBookPro13,2, BootROM 428.0.0.0.0, 2 processors, Intel Core i7, 3,3 GHz, 16 GB, SMC 2.37f20
Graphics: Intel Iris Graphics 550, Intel Iris Graphics 550, Built-In
Memory Module: BANK 0/DIMM0, 8 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C31473332443450472D30393320
Memory Module: BANK 1/DIMM0, 8 GB, LPDDR3, 2133 MHz, 0x802C, 0x4D5435324C31473332443450472D30393320
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x157), Broadcom BCM43xx 1.0 (7.77.37.33.1a1)
Bluetooth: Version 6.0.7f22, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
USB Device: USB 3.0 Bus
USB Device: iBridge
Thunderbolt Bus: MacBook Pro, Apple Inc., 33.1
Thunderbolt Bus: MacBook Pro, Apple Inc., 33.1

--------------------




In GNU Emacs 27.1 (build 1, x86_64-apple-darwin17.7.0, NS appkit-1561.61 Version 10.13.6 (Build 17G14019))
 of 2020-10-07 built on msv-mac.local
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.6

Recent messages:
nnimap read 0k from imap.gmail.com
Mark set
Opening nnir server on nnir-ephemeral...done
Opening server gmail
Searching [Gmail]/All Mail...done
nnimap read 0k from imap.gmail.com
save-excursion: Wrong type argument: commandp, "nnir:nnir-m2tuv3zpqc.fsf"
Requesting article 125281 from group [Gmail]/All Mail
Copying to Research: (22)...
nnimap read 0k from imap.gmail.com

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs-plus@27/27.1/share/info/emacs
 --prefix=/usr/local/Cellar/emacs-plus@27/27.1 --with-xml2 --with-gnutls
 --without-dbus --with-imagemagick --with-modules --with-rsvg
 --with-xwidgets --with-ns --disable-ns-self-contained'

Configured features:
RSVG IMAGEMAGICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS XWIDGETS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_SE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  ivy-mode: t
  eyebrowse-mode: t
  company-box-mode: t
  erc-autojoin-mode: t
  global-company-mode: t
  company-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  pdf-occur-global-minor-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  org-bullets-mode: t
  global-emojify-mode: t
  emojify-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  which-key-mode: t
  winner-mode: t
  all-the-icons-ibuffer-mode: t
  global-subword-mode: t
  subword-mode: t
  global-auto-revert-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug ffap counsel xdg swiper ivy delsel colir ivy-overlay
flow-fill mm-archive sort gnus-cite mail-extr gnus-async gnus-bcklg qp
gnus-ml gnus-topic utf-7 nndraft nnmh bbdb-gnus gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-msg nntp gnus-cache gnus-dired
bbdb-message sendmail bbdb-mua bbdb-com crm gnus-icalendar org-capture
gnus-art mm-uu mml2015 mm-view mml-smime smime dig org-duration vc-git
ruby-mode-expansions ruby-mode rng-xsd xsd-regexp rng-cmpct
nxml-mode-expansions rng-nxml rng-valid nxml-mode nxml-outln nxml-rap
html-mode-expansions sgml-mode lsp-yaml lsp-xml lsp-vhdl lsp-vetur
lsp-html lsp-verilog lsp-terraform lsp-solargraph lsp-rust lsp-pyls
lsp-pwsh lsp-perl lsp-metals lsp-json lsp-intelephense lsp-haxe lsp-go
lsp-gdscript lsp-fsharp lsp-eslint lsp-erlang lsp-elm lsp-dls lsp-dart
lsp-css lsp-csharp lsp-clojure lsp-clients sh-script smie executable
ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir gnus-sum shr svg dom
gnus-group gnus-undo gnus-start gnus-cloud gnus-spec gnus-win
gnus-x-gm-raw yaxception log4e nnimap nnmail gnus-int gnus-range
mail-source utf7 netrc nnoo gnus nnheader ol-docview doc-view ol-bbdb
ol-w3m eyebrowse gruvbox-light-medium-theme gruvbox-theme gruvbox
autothemer yafolding company-box company-box-doc company-box-icons
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
url-cache company-bbdb company-abbrev server gitter circe diff-mode
lui-irc-colors irc make-tls-process tls lcs lui-format lui tracking
shorten paren flyspell circe-compat erc-join erc-goodies erc erc-backend
erc-compat erc-loaddefs spark gnuplot info-look gnuplot-mode xkcd
vagrant-tramp tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat parse-time iso8601 ls-lisp term disp-table ehelp xref-js2
vc vc-dispatcher js2-refactor js2r-paredit js2r-conveniences
js2r-conditionals js2r-wrapping js2r-functions js2r-vars
multiple-cursors-core js2r-iife js2r-formatting js2r-helpers
js2-mode-expansions js2-mode etags fileloop js-mode-expansions js
pug-mode irony-eldoc company-irony company-template irony-completion
irony-snippet irony irony-iotask ebrowse ebuff-menu view dap-mode
dap-overlays lsp-java request lsp-mode xref project tree-widget spinner
network-stream markdown-mode color inline ewoc em-glob esh-util
dash-functional bindat diminish company yasnippet-classic-snippets
yasnippet-snippets yasnippet pdf-occur ibuf-ext tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-isearch pdf-misc imenu pdf-tools
compile cus-edit cus-start cus-load wid-edit pdf-view bookmark pp
jka-compr pdf-cache pdf-info tq pdf-util image-mode exif org-ref
org-ref-helm-bibtex org-ref-helm helm-utils helm-bibtex
bibtex-completion biblio biblio-download biblio-dissemin biblio-ieee
biblio-hal biblio-dblp biblio-crossref biblio-arxiv biblio-doi
biblio-core let-alist url-queue ido hl-line helm-net helm-help helm
helm-source eieio-compat helm-multi-match helm-lib helm-config
helm-easymenu async-bytecomp org-ref-core warnings reftex-cite reftex
reftex-loaddefs reftex-vars org-ref-glossary org-ref-bibtex
org-ref-citeproc message rfc822 mml mml-sec gnus-util rmail
rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mailabbrev mail-utils gmm-utils mailheader key-chord htmlize
org-ref-url-utils org-ref-arxiv parsebib org-ref-scopus xml hydra lv
org-ref-wos doi-utils org-ref-utils org-ref-pdf url-http url-auth
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc ol-bibtex bibtex org-tree-slide org-timer ob-gnuplot ob-ruby
ob-dot ob-ditaa ob-shell shell ob-lisp ob-C cc-mode-expansions cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs ob-java ob-plantuml async ob-async ox-beamer ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox org-element avl-tree generator org-clock org-bullets
the-org-mode-expansions org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete comint
org-list org-faces org-entities time-date noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs format-spec mixed-pitch face-remap emojify apropos tar-mode
arc-mode archive-mode pcase ht ispell expand-region
subword-mode-expansions text-mode-expansions er-basic-expansions
expand-region-core expand-region-custom flycheck ansi-color find-func rx
bbdb bbdb-site timezone icalendar diary-lib diary-loaddefs cal-menu
calendar cal-loaddefs boxquote rect dired-rainbow dired-collapse
dired-subtree dired-filter f s thingatpt dired-aux dired-x
dired-hacks-utils dash epa-file epa derived epg epg-config gnutls puny
exec-path-from-shell which-key advice printing ps-print
ps-print-loaddefs ps-def lpr gmail-check cl url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap battery winner ring all-the-icons-ibuffer ibuffer
ibuffer-loaddefs all-the-icons-dired dired dired-loaddefs all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons memoize mic-paren cap-words
superword subword autorevert filenotify gnu-elpa-keyring-update cl-extra
help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf tex-site info edmacro kmacro package
easymenu browse-url url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads xwidget-internal kqueue cocoa ns lcms2 multi-tty
make-network-process emacs)

Memory information:
((conses 16 1464971 307030)
 (symbols 48 68329 9)
 (strings 32 360059 35780)
 (string-bytes 1 9799919)
 (vectors 16 157191)
 (vector-slots 8 4553881 96918)
 (floats 8 1293 226)
 (intervals 56 104543 3466)
 (buffers 1000 37))




Acknowledgement sent to Mikael Svahnberg <Mikael.Svahnberg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43882; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 20 Oct 2020 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.